/*
Copyright (c) 2004,2005, Deryk Robosson <deryk@0x0a.com>
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
    * Neither the name of the Deryk Robosson nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

using System;
using System.Windows.Forms;

namespace EvoTemplate
{
	/// <summary>
	/// Description of ConfigForm.	
	/// </summary>
	public class ConfigForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Button buttonOkay;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label labelCenter;
		private System.Windows.Forms.ComboBox comboCenter;
		private System.Windows.Forms.Label labelName;
		private System.Windows.Forms.ComboBox comboRoll;
		private System.Windows.Forms.TextBox textUpdateServer;
		private System.Windows.Forms.Label labelTabs;
		private System.Windows.Forms.Button buttonCancel;
		private System.Windows.Forms.Label labelRoll;
		private System.Windows.Forms.TextBox textUsername;
		private System.Windows.Forms.Label labelTips;
		private System.Windows.Forms.ComboBox comboTabs;
		private System.Windows.Forms.ComboBox comboBoxTips;
		#region Private variables
		private System.Windows.Forms.ToolTip tip;
		private AppConfig config;
		#endregion

		#region ConfigForm Default Constructor
		/// <summary>Default constructor</summary>
		public ConfigForm()
		{
			//
			// The InitializeComponent() call is required for Windows Forms designer support.
			//
			InitializeComponent();
			tip = new System.Windows.Forms.ToolTip();
			config = new AppConfig();

			InitTips();

			config.Username = "";
			config.Roll = "Please Choose";
			config.Center = "Please Choose";
			config.UpdateServer = Strings.UpdateServer;
		}
		#endregion
		
		#region Windows Forms Designer generated code
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent() {
			this.comboBoxTips = new System.Windows.Forms.ComboBox();
			this.comboTabs = new System.Windows.Forms.ComboBox();
			this.labelTips = new System.Windows.Forms.Label();
			this.textUsername = new System.Windows.Forms.TextBox();
			this.labelRoll = new System.Windows.Forms.Label();
			this.buttonCancel = new System.Windows.Forms.Button();
			this.labelTabs = new System.Windows.Forms.Label();
			this.textUpdateServer = new System.Windows.Forms.TextBox();
			this.comboRoll = new System.Windows.Forms.ComboBox();
			this.labelName = new System.Windows.Forms.Label();
			this.comboCenter = new System.Windows.Forms.ComboBox();
			this.labelCenter = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.buttonOkay = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// comboBoxTips
			// 
			this.comboBoxTips.Items.AddRange(new object[] {
						"Yes",
						"No"});
			this.comboBoxTips.Location = new System.Drawing.Point(104, 112);
			this.comboBoxTips.Name = "comboBoxTips";
			this.comboBoxTips.Size = new System.Drawing.Size(126, 21);
			this.comboBoxTips.TabIndex = 7;
			this.comboBoxTips.Text = "Please Choose";
			// 
			// comboTabs
			// 
			this.comboTabs.Items.AddRange(new object[] {
						"Top",
						"Left",
						"Bottom",
						"Right"});
			this.comboTabs.Location = new System.Drawing.Point(104, 88);
			this.comboTabs.Name = "comboTabs";
			this.comboTabs.Size = new System.Drawing.Size(126, 21);
			this.comboTabs.TabIndex = 3;
			this.comboTabs.Text = "Please Choose";
			// 
			// labelTips
			// 
			this.labelTips.Location = new System.Drawing.Point(6, 110);
			this.labelTips.Name = "labelTips";
			this.labelTips.Size = new System.Drawing.Size(90, 18);
			this.labelTips.TabIndex = 6;
			this.labelTips.Text = "Show Tips:";
			// 
			// textUsername
			// 
			this.textUsername.Location = new System.Drawing.Point(104, 16);
			this.textUsername.Name = "textUsername";
			this.textUsername.Size = new System.Drawing.Size(126, 21);
			this.textUsername.TabIndex = 0;
			this.textUsername.Text = "";
			// 
			// labelRoll
			// 
			this.labelRoll.Location = new System.Drawing.Point(6, 37);
			this.labelRoll.Name = "labelRoll";
			this.labelRoll.Size = new System.Drawing.Size(90, 17);
			this.labelRoll.TabIndex = 1;
			this.labelRoll.Text = "Roll:";
			// 
			// buttonCancel
			// 
			this.buttonCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.buttonCancel.Location = new System.Drawing.Point(144, 168);
			this.buttonCancel.Name = "buttonCancel";
			this.buttonCancel.Size = new System.Drawing.Size(53, 17);
			this.buttonCancel.TabIndex = 5;
			this.buttonCancel.Text = "&Cancel";
			// 
			// labelTabs
			// 
			this.labelTabs.Location = new System.Drawing.Point(6, 86);
			this.labelTabs.Name = "labelTabs";
			this.labelTabs.Size = new System.Drawing.Size(90, 17);
			this.labelTabs.TabIndex = 3;
			this.labelTabs.Text = "Tab Orientation:";
			// 
			// textUpdateServer
			// 
			this.textUpdateServer.Location = new System.Drawing.Point(104, 136);
			this.textUpdateServer.Name = "textUpdateServer";
			this.textUpdateServer.Size = new System.Drawing.Size(128, 21);
			this.textUpdateServer.TabIndex = 9;
			this.textUpdateServer.Text = "";
			// 
			// comboRoll
			// 
			this.comboRoll.Items.AddRange(new object[] {
						"Residential",
						"Voice",
						"Home Highway",
						"Data"});
			this.comboRoll.Location = new System.Drawing.Point(104, 40);
			this.comboRoll.Name = "comboRoll";
			this.comboRoll.Size = new System.Drawing.Size(126, 21);
			this.comboRoll.TabIndex = 1;
			this.comboRoll.Text = "Please Choose";
			this.comboRoll.SelectedValueChanged += new System.EventHandler(this.comboRoll_SelectedValueChanged);
			// 
			// labelName
			// 
			this.labelName.Location = new System.Drawing.Point(6, 12);
			this.labelName.Name = "labelName";
			this.labelName.Size = new System.Drawing.Size(90, 18);
			this.labelName.TabIndex = 0;
			this.labelName.Text = "Name:";
			// 
			// comboCenter
			// 
			this.comboCenter.Enabled = false;
			this.comboCenter.Location = new System.Drawing.Point(104, 64);
			this.comboCenter.Name = "comboCenter";
			this.comboCenter.Size = new System.Drawing.Size(126, 21);
			this.comboCenter.TabIndex = 2;
			this.comboCenter.Text = "Please Choose";
			// 
			// labelCenter
			// 
			this.labelCenter.Location = new System.Drawing.Point(6, 61);
			this.labelCenter.Name = "labelCenter";
			this.labelCenter.Size = new System.Drawing.Size(90, 18);
			this.labelCenter.TabIndex = 2;
			this.labelCenter.Text = "Center:";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(8, 136);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(88, 23);
			this.label1.TabIndex = 8;
			this.label1.Text = "Update Server:";
			// 
			// buttonOkay
			// 
			this.buttonOkay.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.buttonOkay.Location = new System.Drawing.Point(48, 168);
			this.buttonOkay.Name = "buttonOkay";
			this.buttonOkay.Size = new System.Drawing.Size(53, 17);
			this.buttonOkay.TabIndex = 4;
			this.buttonOkay.Text = "&Okay";
			this.buttonOkay.Click += new System.EventHandler(this.buttonOkay_Click);
			// 
			// ConfigForm
			// 
			this.AcceptButton = this.buttonOkay;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 14);
			this.CancelButton = this.buttonCancel;
			this.ClientSize = new System.Drawing.Size(240, 189);
			this.Controls.Add(this.textUpdateServer);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.comboBoxTips);
			this.Controls.Add(this.labelTips);
			this.Controls.Add(this.buttonCancel);
			this.Controls.Add(this.buttonOkay);
			this.Controls.Add(this.comboTabs);
			this.Controls.Add(this.comboCenter);
			this.Controls.Add(this.comboRoll);
			this.Controls.Add(this.textUsername);
			this.Controls.Add(this.labelTabs);
			this.Controls.Add(this.labelCenter);
			this.Controls.Add(this.labelRoll);
			this.Controls.Add(this.labelName);
			this.Name = "ConfigForm";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "EvoTemplate Configuration";
			this.ResumeLayout(false);
		}
		#endregion

		#region InitTips
		/// <summary>Initialize the tool tips</summary>
		private void InitTips()
		{
			tip.Active = true;
			tip.SetToolTip(this.textUsername, "The name of the tester");
			tip.SetToolTip(this.comboRoll, "The roll the tester performs");
			tip.SetToolTip(this.comboCenter, "The Center where the tester is located");
			tip.SetToolTip(this.comboTabs, "The orientation of the tabs on the application");
			tip.SetToolTip(this.comboBoxTips, "Enables or disables showing of tips in the application");
		}
		#endregion

		#region buttonOkay_Click
		/// <summary>
		/// Records users accepted input
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void buttonOkay_Click(object sender, System.EventArgs e)
		{
			ComboBox comboBox;
			config.Username = textUsername.Text;
			config.Center = comboCenter.Text;
			config.Roll = comboRoll.Text;

			comboBox = this.comboTabs;
			if(((string)comboBox.SelectedItem).Equals("Top")) {
				config.Tabs = TabAlignment.Top;
			}
			else if(((string)comboBox.SelectedItem).Equals("Bottom")) {
				config.Tabs = TabAlignment.Bottom;
			}
			else if(((string)comboBox.SelectedItem).Equals("Left")) {
				config.Tabs = TabAlignment.Left;
			}
			else if(((string)comboBox.SelectedItem).Equals("Right")) {
				config.Tabs = TabAlignment.Right;
			}
			else {
				config.Tabs = TabAlignment.Top;
			}

			comboBox = this.comboBoxTips;
			if(((string)comboBox.SelectedItem).Equals("Yes")) {
				config.Tips = true;
			}
			else {
				config.Tips = false;
			}
			
			config.SaveConfig();
		}
		#endregion
		
		#region comboRoll_SelectedValueChanged
		/// <summary>
		/// Handles changes to the Roll combo box
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void comboRoll_SelectedValueChanged(object sender, System.EventArgs e)
		{
			ComboBox comboBox = (ComboBox) sender;
			string selectedText = (string) comboBox.SelectedItem;
			
			if(selectedText.Equals("Please Choose"))
			{
				this.comboCenter.Enabled = false;
			}
			else {
				this.comboCenter.Items.Clear();
				this.comboCenter.Enabled = true;
				if(selectedText.Equals("Residential"))
				{
					this.comboCenter.Items.AddRange(new object[] {
														"National 1300 663 878"
														});
				}
				else if(selectedText.Equals("Voice"))
				{
					this.comboCenter.Items.AddRange(new object[] {
														"Sydney 1300 304 843",
														"Adelaide 1300 304 862",
														"Perth 1300 889 467"
														});
				}
				else if(selectedText.Equals("Data"))
				{
					this.comboCenter.Items.AddRange(new object[] {
														"Brisbane 1300 889 523",
														"Sydney 1300 553 562",
														"Canberra 1300 304 792",
														"Melbourne 1300 134 552",
														"Perth 1300 889 485"
														});
				}
				else if(selectedText.Equals("Home Highway"))
				{
					this.comboCenter.Items.AddRange(new object[] {
														"National 1800 673 619"
														});
				}
/*
				else if(selectedText.Equals("Consultant"))
				{
					this.comboCenter.Items.AddRange(new object[] {
														"Consultant"
														});
				}
*/
			}
		}
		#endregion

		#region Username
		/// <summary>
		/// Sets or gets the users username
		/// </summary>
		public string Username
		{
			get {
				return config.Username;
			}
			set {
				config.Username = value;
				textUsername.Text = value;
			}
		}
		#endregion
		
		#region Center
		/// <summary>
		/// Sets or gets the users center
		/// </summary>
		public string Center
		{
			get {
				return config.Center;
			}
			set {
				config.Center = value;
				comboCenter.Text = value;
			}
		}
		#endregion
		
		#region Roll
		/// <summary>
		/// Sets or gets the users roll
		/// </summary>
		public string Roll
		{
			get {
				return config.Roll;
			}
			set {
				config.Roll = value;
				comboRoll.Text = value;
			}
		}
		#endregion
		
		#region Tabs
		/// <summary>
		/// Sets or gets the tab control orientation
		/// </summary>
		public TabAlignment Tabs
		{
			get {
				return config.Tabs;
			}
			set {
				config.Tabs = value;
				if(config.Tabs == TabAlignment.Top) {
					comboTabs.Text = "Top";
				}
				else if(config.Tabs == TabAlignment.Left) {
					comboTabs.Text = "Left";
				}
				else if(config.Tabs == TabAlignment.Bottom) {
					comboTabs.Text = "Bottom";
				}
				else if(config.Tabs == TabAlignment.Right) {
					comboTabs.Text = "Right";
				}
			}
		}
		#endregion
		
		#region Tips
		/// <summary>
		/// Sets or gets Tips property
		/// </summary>
		public bool Tips
		{
			get {
				return config.Tips;
			}
			set {
				config.Tips = value;
				
				if(config.Tips) {
					comboBoxTips.Text = "Yes";
				}
				else {
					comboBoxTips.Text = "No";
				}
			}
		}
		#endregion
		
		#region Config
		/// <summary>Sets or gets config</summary>
		public AppConfig Config
		{
			get {
				return config;
			}
			set {
				config = value;
				Center = config.Center;
				Roll = config.Roll;
				Tips = config.Tips;
				Username = config.Username;
				Tabs = config.Tabs;
				UpdateServer = config.UpdateServer;
			}
		}
		#endregion

		#region UpdateServer
		/// <summary>Sets or gets update server string</summary>
		public string UpdateServer
		{
			get {
				return Config.UpdateServer;
			}
			set {
				config.UpdateServer = value;
				textUpdateServer.Text = value;
			}
		}
		#endregion
	}
}
