/*
Copyright (c) 2004,2005, Deryk Robosson <deryk@0x0a.com>
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
    * Neither the name of the Deryk Robosson nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

using System;
using System.IO;
using System.Collections;
using System.Drawing;
using System.ComponentModel;
using System.Windows.Forms;
using System.Reflection;
using System.Text;
using System.Text.RegularExpressions;
using System.Xml;
using System.Xml.Serialization;


namespace EvoTemplate
{
	#region EvoTemplate 
	/// <summary>
	/// EvoTemplate graphical interface class
	/// </summary>
	public class EvoTemplate : System.Windows.Forms.Form
	{
		#region private variables
		private System.ComponentModel.IContainer components;
		private System.Windows.Forms.RadioButton radioNoComms;
		private System.Windows.Forms.MenuItem menuItemCopyField;
		private System.Windows.Forms.RadioButton radioDevABL;
		private System.Windows.Forms.CheckBox checkAlarmsL1DM;
		private System.Windows.Forms.CheckBox checkAlarmsLA;
		private System.Windows.Forms.MenuItem menuItemCopyTester;
		private System.Windows.Forms.CheckBox checkAlarmsL1SES;
		private System.Windows.Forms.RadioButton radioL1Perm;
		private System.Windows.Forms.RadioButton radioDevPowonl;
		private System.Windows.Forms.ComboBox comboBoxComms;
		private System.Windows.Forms.RadioButton radioDevBusy;
		private System.Windows.Forms.TabPage tabStep3;
		private System.Windows.Forms.TabPage tabStep4;
		private System.Windows.Forms.TabPage tabStep5;
		private System.Windows.Forms.TabPage tabStep6;
		private System.Windows.Forms.GroupBox groupAlarms;
		private System.Windows.Forms.CheckBox checkAlarmsL1ES;
		private System.Windows.Forms.TextBox textBoxCats;
		private System.Windows.Forms.MenuItem menuItemSep;
		private System.Windows.Forms.RadioButton radioDevCBL;
		private System.Windows.Forms.TextBox textCustomerContactComments;
		private System.Windows.Forms.CheckBox checkAlarmsUInterface;
		private System.Windows.Forms.CheckBox checkAlarmsHighBEROut;
		private System.Windows.Forms.ComboBox comboTestCallData;
		private System.Windows.Forms.RadioButton radioL2PMP;
		private System.Windows.Forms.CheckBox checkAlarmsHighBERIn;
		private System.Windows.Forms.GroupBox groupBoxCats;
		private System.Windows.Forms.RadioButton radioDevUnavail;
		private System.Windows.Forms.TextBox textDevHex;
		private System.Windows.Forms.RadioButton radioDevAVBusy;
		private System.Windows.Forms.RadioButton radioOrdersNo;
		private System.Windows.Forms.CheckBox checkAlarmsL3;
		private System.Windows.Forms.CheckBox checkAlarmsL2;
		private System.Windows.Forms.ImageList imageList;
		private System.Windows.Forms.GroupBox groupDeviceState;
		private System.Windows.Forms.ComboBox comboOutage;
		private System.Windows.Forms.ComboBox comboQMS;
		private System.Windows.Forms.RadioButton radioDTP;
		private System.Windows.Forms.MenuItem menuItemAbout;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.CheckBox checkAlarmsLowBEROut;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.Label label15;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.TextBox textPGSComments;
		private System.Windows.Forms.MenuItem menuItemExit;
		private System.Windows.Forms.ToolBar toolBar;
		private System.Windows.Forms.GroupBox groupBoxFieldNotes;
		private System.Windows.Forms.RadioButton radioDevAVFree;
		private System.Windows.Forms.RadioButton radioDevExtBlk;
		private System.Windows.Forms.TextBox textQMDays;
		private System.Windows.Forms.TextBox textBoxFieldNotes;
		private System.Windows.Forms.ToolBarButton toolBarButtonNew;
		private System.Windows.Forms.RadioButton radioOther;
		private System.Windows.Forms.MenuItem menuTools;
		private System.Windows.Forms.RadioButton radioAlarmsYes;
		private System.Windows.Forms.ComboBox comboBoxTel1;
		private System.Windows.Forms.ComboBox comboBoxTel2;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.Label labelL1Comment;
		private System.Windows.Forms.RadioButton radioL2PTP;
		private System.Windows.Forms.TextBox textCableDetails;
		private System.Windows.Forms.RadioButton radioNoOutgoing;
		private System.Windows.Forms.GroupBox groupSymptom;
		private System.Windows.Forms.TextBox textAntossComment;
		private System.Windows.Forms.TextBox textBoxOther;
		private System.Windows.Forms.TextBox textAlarmsComments;
		private System.Windows.Forms.CheckBox checkAlarmsS12Other;
		private System.Windows.Forms.ComboBox comboPGSConfig;
		private System.Windows.Forms.RadioButton radioStatic;
		private System.Windows.Forms.ComboBox comboVerify;
		private System.Windows.Forms.GroupBox groupAuxNumbers;
		private System.Windows.Forms.TextBox textVerifyComment;
		private System.Windows.Forms.GroupBox groupCustomerContact;
		private System.Windows.Forms.CheckBox checkAlarmsHardwareFault;
		private System.Windows.Forms.TextBox textPackageComment;
		private System.Windows.Forms.MenuItem menuItemUpdates;
		private System.Windows.Forms.MenuItem menuHelp;
		private System.Windows.Forms.ToolBarButton toolBarButtonCopyField;
		private System.Windows.Forms.TextBox textTestCallVoiceComment;
		private System.Windows.Forms.CheckBox checkAlarmsPFO;
		private System.Windows.Forms.TextBox textBoxL2Comment;
		private System.Windows.Forms.GroupBox groupTestCall;
		private System.Windows.Forms.MainMenu mainMenu;
		private System.Windows.Forms.ComboBox comboPackage;
		private System.Windows.Forms.CheckBox checkAlarmsSync;
		private System.Windows.Forms.MenuItem menuItemHelp;
		private System.Windows.Forms.RadioButton radioAlarmsNo;
		private System.Windows.Forms.TextBox textAuxComments;
		private System.Windows.Forms.Label labelL2Comment;
		private System.Windows.Forms.RadioButton radioL1Demand;
		private System.Windows.Forms.GroupBox groupL2Settings;
		private System.Windows.Forms.MenuItem menuItemNew;
		private System.Windows.Forms.TabPage tabStep1;
		private System.Windows.Forms.TabPage tabStep2;
		private System.Windows.Forms.GroupBox groupLineTest;
		private System.Windows.Forms.RadioButton radioNoIncoming;
		private System.Windows.Forms.RadioButton radioAuxNo;
		private System.Windows.Forms.ComboBox comboAntoss;
		private System.Windows.Forms.MenuItem menuItemConfigure;
		private System.Windows.Forms.MenuItem menuItemMacros;
		private System.Windows.Forms.TextBox textNumLines;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.Label label16;
		private System.Windows.Forms.Label label17;
		private System.Windows.Forms.RadioButton radioFacility;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.RadioButton radioNoTrans;
		private System.Windows.Forms.ToolBarButton toolBarButtonCopyTest;
		private System.Windows.Forms.TextBox textBoxL1Comment;
		private System.Windows.Forms.TextBox textOutageComment;
		private System.Windows.Forms.ComboBox comboPGSType;
		private System.Windows.Forms.RadioButton radioDevIdle;
		private System.Windows.Forms.MenuItem menuFile;
		private System.Windows.Forms.CheckBox checkAlarmsLowBERIn;
		private System.Windows.Forms.StatusBar statusBar;
		private System.Windows.Forms.RadioButton radioOrdersYes;
		private System.Windows.Forms.GroupBox groupL1Settings;
		private System.Windows.Forms.CheckBox checkAlarmsOther;
		private System.Windows.Forms.RadioButton radioAuxYes;
		private System.Windows.Forms.TabControl tabPages;
		private System.Windows.Forms.ComboBox comboTestCallVoice;
		private System.Windows.Forms.TextBox textTestCallDataComment;
		private System.Windows.Forms.CheckBox checkAlarmsSInterface;
		private System.Windows.Forms.GroupBox groupPGS;
		private System.Windows.Forms.ToolTip tip;
		private DateTime dtStart;
		private DateTime dtEnd;
		private AppConfig appconfig;
		private MacroConfig macroConfig;
		private ScreenPosition screenPosition;
		private string exchangeType;
		#endregion

		#region EvoTemplate Default Constructor
		/// <summary>
		/// Default Constructor
		/// </summary>
		public EvoTemplate()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			try
			{
				this.appconfig = new AppConfig();
				try {
					this.appconfig.LoadConfig();
				}
				catch
				{
					Configure();
				}

				this.macroConfig = new MacroConfig();
				this.macroConfig.LoadConfig();

				this.screenPosition = new ScreenPosition();
				this.screenPosition.LoadConfig();
			}
			catch(Exception e)
			{
				// This can show potential permissions problems under UNIX
				// oriented systems
				Console.WriteLine(e.Message);
			}

			this.dtStart = System.DateTime.Now;
			tip = new System.Windows.Forms.ToolTip();
			this.exchangeType = "AXE";

			ShowAlarms();
			ConfigPluginsLoad();
			InitTips();
		}
		#endregion

		#region Dispose
		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if(disposing)
			{
				if(components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		#endregion

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent() {
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(EvoTemplate));
			this.groupPGS = new System.Windows.Forms.GroupBox();
			this.checkAlarmsSInterface = new System.Windows.Forms.CheckBox();
			this.textTestCallDataComment = new System.Windows.Forms.TextBox();
			this.comboTestCallVoice = new System.Windows.Forms.ComboBox();
			this.tabPages = new System.Windows.Forms.TabControl();
			this.radioAuxYes = new System.Windows.Forms.RadioButton();
			this.checkAlarmsOther = new System.Windows.Forms.CheckBox();
			this.groupL1Settings = new System.Windows.Forms.GroupBox();
			this.radioOrdersYes = new System.Windows.Forms.RadioButton();
			this.statusBar = new System.Windows.Forms.StatusBar();
			this.checkAlarmsLowBERIn = new System.Windows.Forms.CheckBox();
			this.menuFile = new System.Windows.Forms.MenuItem();
			this.radioDevIdle = new System.Windows.Forms.RadioButton();
			this.comboPGSType = new System.Windows.Forms.ComboBox();
			this.textOutageComment = new System.Windows.Forms.TextBox();
			this.textBoxL1Comment = new System.Windows.Forms.TextBox();
			this.toolBarButtonCopyTest = new System.Windows.Forms.ToolBarButton();
			this.radioNoTrans = new System.Windows.Forms.RadioButton();
			this.label7 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.radioFacility = new System.Windows.Forms.RadioButton();
			this.label17 = new System.Windows.Forms.Label();
			this.label16 = new System.Windows.Forms.Label();
			this.label11 = new System.Windows.Forms.Label();
			this.textNumLines = new System.Windows.Forms.TextBox();
			this.menuItemMacros = new System.Windows.Forms.MenuItem();
			this.menuItemConfigure = new System.Windows.Forms.MenuItem();
			this.comboAntoss = new System.Windows.Forms.ComboBox();
			this.radioAuxNo = new System.Windows.Forms.RadioButton();
			this.radioNoIncoming = new System.Windows.Forms.RadioButton();
			this.groupLineTest = new System.Windows.Forms.GroupBox();
			this.tabStep2 = new System.Windows.Forms.TabPage();
			this.tabStep1 = new System.Windows.Forms.TabPage();
			this.menuItemNew = new System.Windows.Forms.MenuItem();
			this.groupL2Settings = new System.Windows.Forms.GroupBox();
			this.radioL1Demand = new System.Windows.Forms.RadioButton();
			this.labelL2Comment = new System.Windows.Forms.Label();
			this.textAuxComments = new System.Windows.Forms.TextBox();
			this.radioAlarmsNo = new System.Windows.Forms.RadioButton();
			this.menuItemHelp = new System.Windows.Forms.MenuItem();
			this.checkAlarmsSync = new System.Windows.Forms.CheckBox();
			this.comboPackage = new System.Windows.Forms.ComboBox();
			this.mainMenu = new System.Windows.Forms.MainMenu();
			this.groupTestCall = new System.Windows.Forms.GroupBox();
			this.textBoxL2Comment = new System.Windows.Forms.TextBox();
			this.checkAlarmsPFO = new System.Windows.Forms.CheckBox();
			this.textTestCallVoiceComment = new System.Windows.Forms.TextBox();
			this.toolBarButtonCopyField = new System.Windows.Forms.ToolBarButton();
			this.menuHelp = new System.Windows.Forms.MenuItem();
			this.menuItemUpdates = new System.Windows.Forms.MenuItem();
			this.textPackageComment = new System.Windows.Forms.TextBox();
			this.checkAlarmsHardwareFault = new System.Windows.Forms.CheckBox();
			this.groupCustomerContact = new System.Windows.Forms.GroupBox();
			this.textVerifyComment = new System.Windows.Forms.TextBox();
			this.groupAuxNumbers = new System.Windows.Forms.GroupBox();
			this.comboVerify = new System.Windows.Forms.ComboBox();
			this.radioStatic = new System.Windows.Forms.RadioButton();
			this.comboPGSConfig = new System.Windows.Forms.ComboBox();
			this.checkAlarmsS12Other = new System.Windows.Forms.CheckBox();
			this.textAlarmsComments = new System.Windows.Forms.TextBox();
			this.textBoxOther = new System.Windows.Forms.TextBox();
			this.textAntossComment = new System.Windows.Forms.TextBox();
			this.groupSymptom = new System.Windows.Forms.GroupBox();
			this.radioNoOutgoing = new System.Windows.Forms.RadioButton();
			this.textCableDetails = new System.Windows.Forms.TextBox();
			this.radioL2PTP = new System.Windows.Forms.RadioButton();
			this.labelL1Comment = new System.Windows.Forms.Label();
			this.label8 = new System.Windows.Forms.Label();
			this.comboBoxTel2 = new System.Windows.Forms.ComboBox();
			this.comboBoxTel1 = new System.Windows.Forms.ComboBox();
			this.radioAlarmsYes = new System.Windows.Forms.RadioButton();
			this.menuTools = new System.Windows.Forms.MenuItem();
			this.radioOther = new System.Windows.Forms.RadioButton();
			this.toolBarButtonNew = new System.Windows.Forms.ToolBarButton();
			this.textBoxFieldNotes = new System.Windows.Forms.TextBox();
			this.textQMDays = new System.Windows.Forms.TextBox();
			this.radioDevExtBlk = new System.Windows.Forms.RadioButton();
			this.radioDevAVFree = new System.Windows.Forms.RadioButton();
			this.groupBoxFieldNotes = new System.Windows.Forms.GroupBox();
			this.toolBar = new System.Windows.Forms.ToolBar();
			this.menuItemExit = new System.Windows.Forms.MenuItem();
			this.textPGSComments = new System.Windows.Forms.TextBox();
			this.label9 = new System.Windows.Forms.Label();
			this.label15 = new System.Windows.Forms.Label();
			this.label14 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.label10 = new System.Windows.Forms.Label();
			this.label13 = new System.Windows.Forms.Label();
			this.label12 = new System.Windows.Forms.Label();
			this.checkAlarmsLowBEROut = new System.Windows.Forms.CheckBox();
			this.label3 = new System.Windows.Forms.Label();
			this.menuItemAbout = new System.Windows.Forms.MenuItem();
			this.radioDTP = new System.Windows.Forms.RadioButton();
			this.comboQMS = new System.Windows.Forms.ComboBox();
			this.comboOutage = new System.Windows.Forms.ComboBox();
			this.groupDeviceState = new System.Windows.Forms.GroupBox();
			this.imageList = new System.Windows.Forms.ImageList(this.components);
			this.checkAlarmsL2 = new System.Windows.Forms.CheckBox();
			this.checkAlarmsL3 = new System.Windows.Forms.CheckBox();
			this.radioOrdersNo = new System.Windows.Forms.RadioButton();
			this.radioDevAVBusy = new System.Windows.Forms.RadioButton();
			this.textDevHex = new System.Windows.Forms.TextBox();
			this.radioDevUnavail = new System.Windows.Forms.RadioButton();
			this.groupBoxCats = new System.Windows.Forms.GroupBox();
			this.checkAlarmsHighBERIn = new System.Windows.Forms.CheckBox();
			this.radioL2PMP = new System.Windows.Forms.RadioButton();
			this.comboTestCallData = new System.Windows.Forms.ComboBox();
			this.checkAlarmsHighBEROut = new System.Windows.Forms.CheckBox();
			this.checkAlarmsUInterface = new System.Windows.Forms.CheckBox();
			this.textCustomerContactComments = new System.Windows.Forms.TextBox();
			this.radioDevCBL = new System.Windows.Forms.RadioButton();
			this.menuItemSep = new System.Windows.Forms.MenuItem();
			this.textBoxCats = new System.Windows.Forms.TextBox();
			this.checkAlarmsL1ES = new System.Windows.Forms.CheckBox();
			this.groupAlarms = new System.Windows.Forms.GroupBox();
			this.tabStep6 = new System.Windows.Forms.TabPage();
			this.tabStep5 = new System.Windows.Forms.TabPage();
			this.tabStep4 = new System.Windows.Forms.TabPage();
			this.tabStep3 = new System.Windows.Forms.TabPage();
			this.radioDevBusy = new System.Windows.Forms.RadioButton();
			this.comboBoxComms = new System.Windows.Forms.ComboBox();
			this.radioDevPowonl = new System.Windows.Forms.RadioButton();
			this.radioL1Perm = new System.Windows.Forms.RadioButton();
			this.checkAlarmsL1SES = new System.Windows.Forms.CheckBox();
			this.menuItemCopyTester = new System.Windows.Forms.MenuItem();
			this.checkAlarmsLA = new System.Windows.Forms.CheckBox();
			this.checkAlarmsL1DM = new System.Windows.Forms.CheckBox();
			this.radioDevABL = new System.Windows.Forms.RadioButton();
			this.menuItemCopyField = new System.Windows.Forms.MenuItem();
			this.radioNoComms = new System.Windows.Forms.RadioButton();
			this.groupPGS.SuspendLayout();
			this.tabPages.SuspendLayout();
			this.groupL1Settings.SuspendLayout();
			this.groupLineTest.SuspendLayout();
			this.tabStep2.SuspendLayout();
			this.tabStep1.SuspendLayout();
			this.groupL2Settings.SuspendLayout();
			this.groupTestCall.SuspendLayout();
			this.groupCustomerContact.SuspendLayout();
			this.groupAuxNumbers.SuspendLayout();
			this.groupSymptom.SuspendLayout();
			this.groupBoxFieldNotes.SuspendLayout();
			this.groupDeviceState.SuspendLayout();
			this.groupBoxCats.SuspendLayout();
			this.groupAlarms.SuspendLayout();
			this.tabStep6.SuspendLayout();
			this.tabStep5.SuspendLayout();
			this.tabStep4.SuspendLayout();
			this.tabStep3.SuspendLayout();
			this.SuspendLayout();
			// 
			// groupPGS
			// 
			this.groupPGS.Controls.Add(this.label13);
			this.groupPGS.Controls.Add(this.textPGSComments);
			this.groupPGS.Controls.Add(this.label12);
			this.groupPGS.Controls.Add(this.comboPGSConfig);
			this.groupPGS.Controls.Add(this.label11);
			this.groupPGS.Controls.Add(this.comboPGSType);
			this.groupPGS.Location = new System.Drawing.Point(16, 264);
			this.groupPGS.Name = "groupPGS";
			this.groupPGS.Size = new System.Drawing.Size(592, 168);
			this.groupPGS.TabIndex = 3;
			this.groupPGS.TabStop = false;
			this.groupPGS.Text = "Pair Gain System";
			// 
			// checkAlarmsSInterface
			// 
			this.checkAlarmsSInterface.Enabled = false;
			this.checkAlarmsSInterface.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.checkAlarmsSInterface.Location = new System.Drawing.Point(464, 24);
			this.checkAlarmsSInterface.Name = "checkAlarmsSInterface";
			this.checkAlarmsSInterface.TabIndex = 5;
			this.checkAlarmsSInterface.Text = "\'S\' Interface";
			// 
			// textTestCallDataComment
			// 
			this.textTestCallDataComment.Enabled = false;
			this.textTestCallDataComment.Location = new System.Drawing.Point(224, 64);
			this.textTestCallDataComment.Name = "textTestCallDataComment";
			this.textTestCallDataComment.ReadOnly = true;
			this.textTestCallDataComment.Size = new System.Drawing.Size(360, 24);
			this.textTestCallDataComment.TabIndex = 5;
			this.textTestCallDataComment.Text = "";
			this.textTestCallDataComment.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textTestCallDataComment.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// comboTestCallVoice
			// 
			this.comboTestCallVoice.Items.AddRange(new object[] {
						"N/A",
						"Connect Okay",
						"Fail"});
			this.comboTestCallVoice.Location = new System.Drawing.Point(72, 32);
			this.comboTestCallVoice.Name = "comboTestCallVoice";
			this.comboTestCallVoice.Size = new System.Drawing.Size(144, 24);
			this.comboTestCallVoice.TabIndex = 2;
			this.comboTestCallVoice.Text = "Please Choose";
			this.comboTestCallVoice.SelectedValueChanged += new System.EventHandler(this.HandleComboBox);
			this.comboTestCallVoice.SelectedIndexChanged += new System.EventHandler(this.HandleComboBox);
			// 
			// tabPages
			// 
			this.tabPages.Controls.Add(this.tabStep1);
			this.tabPages.Controls.Add(this.tabStep2);
			this.tabPages.Controls.Add(this.tabStep3);
			this.tabPages.Controls.Add(this.tabStep4);
			this.tabPages.Controls.Add(this.tabStep5);
			this.tabPages.Controls.Add(this.tabStep6);
			this.tabPages.Location = new System.Drawing.Point(0, 48);
			this.tabPages.Multiline = true;
			this.tabPages.Name = "tabPages";
			this.tabPages.SelectedIndex = 0;
			this.tabPages.Size = new System.Drawing.Size(632, 472);
			this.tabPages.TabIndex = 0;
			// 
			// radioAuxYes
			// 
			this.radioAuxYes.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioAuxYes.Location = new System.Drawing.Point(16, 32);
			this.radioAuxYes.Name = "radioAuxYes";
			this.radioAuxYes.Size = new System.Drawing.Size(64, 24);
			this.radioAuxYes.TabIndex = 0;
			this.radioAuxYes.TabStop = true;
			this.radioAuxYes.Text = "Yes";
			this.radioAuxYes.CheckedChanged += new System.EventHandler(this.HandleRadio);
			// 
			// checkAlarmsOther
			// 
			this.checkAlarmsOther.Enabled = false;
			this.checkAlarmsOther.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.checkAlarmsOther.Location = new System.Drawing.Point(464, 64);
			this.checkAlarmsOther.Name = "checkAlarmsOther";
			this.checkAlarmsOther.TabIndex = 9;
			this.checkAlarmsOther.Text = "Other";
			// 
			// groupL1Settings
			// 
			this.groupL1Settings.Controls.Add(this.textBoxL1Comment);
			this.groupL1Settings.Controls.Add(this.labelL1Comment);
			this.groupL1Settings.Controls.Add(this.radioL1Demand);
			this.groupL1Settings.Controls.Add(this.radioL1Perm);
			this.groupL1Settings.Location = new System.Drawing.Point(16, 8);
			this.groupL1Settings.Name = "groupL1Settings";
			this.groupL1Settings.Size = new System.Drawing.Size(288, 80);
			this.groupL1Settings.TabIndex = 0;
			this.groupL1Settings.TabStop = false;
			this.groupL1Settings.Text = "Layer &1 Settings";
			// 
			// radioOrdersYes
			// 
			this.radioOrdersYes.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioOrdersYes.Location = new System.Drawing.Point(472, 24);
			this.radioOrdersYes.Name = "radioOrdersYes";
			this.radioOrdersYes.Size = new System.Drawing.Size(48, 24);
			this.radioOrdersYes.TabIndex = 1;
			this.radioOrdersYes.TabStop = true;
			this.radioOrdersYes.Text = "Yes";
			this.radioOrdersYes.CheckedChanged += new System.EventHandler(this.HandleRadio);
			// 
			// statusBar
			// 
			this.statusBar.Location = new System.Drawing.Point(0, 527);
			this.statusBar.Name = "statusBar";
			this.statusBar.Size = new System.Drawing.Size(632, 22);
			this.statusBar.TabIndex = 1;
			this.statusBar.Text = "Ready.";
			// 
			// checkAlarmsLowBERIn
			// 
			this.checkAlarmsLowBERIn.Location = new System.Drawing.Point(344, 64);
			this.checkAlarmsLowBERIn.Name = "checkAlarmsLowBERIn";
			this.checkAlarmsLowBERIn.TabIndex = 19;
			this.checkAlarmsLowBERIn.Text = "Low BER In";
			this.checkAlarmsLowBERIn.Visible = false;
			// 
			// menuFile
			// 
			this.menuFile.Index = 0;
			this.menuFile.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
						this.menuItemNew,
						this.menuItemCopyTester,
						this.menuItemCopyField,
						this.menuItemConfigure,
						this.menuItemMacros,
						this.menuItemExit});
			this.menuFile.Text = "&File";
			// 
			// radioDevIdle
			// 
			this.radioDevIdle.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioDevIdle.Location = new System.Drawing.Point(130, 24);
			this.radioDevIdle.Name = "radioDevIdle";
			this.radioDevIdle.Size = new System.Drawing.Size(100, 24);
			this.radioDevIdle.TabIndex = 3;
			this.radioDevIdle.TabStop = true;
			this.radioDevIdle.Text = "Idle";
			this.radioDevIdle.CheckedChanged += new System.EventHandler(this.HandleRadio);
			// 
			// comboPGSType
			// 
			this.comboPGSType.Items.AddRange(new object[] {
						"None",
						"RIM",
						"RIM+BOOSTER",
						"CMUX",
						"CMUX+RIM",
						"CMUX+RIM+BOOSTER",
						"DCS-20",
						"SCADS",
						"BOOSTER",
						"Other"});
			this.comboPGSType.Location = new System.Drawing.Point(96, 24);
			this.comboPGSType.Name = "comboPGSType";
			this.comboPGSType.TabIndex = 14;
			this.comboPGSType.Text = "Please Choose";
			this.comboPGSType.SelectedValueChanged += new System.EventHandler(this.HandleComboBox);
			this.comboPGSType.SelectedIndexChanged += new System.EventHandler(this.HandleComboBox);
			// 
			// textOutageComment
			// 
			this.textOutageComment.Enabled = false;
			this.textOutageComment.Location = new System.Drawing.Point(232, 96);
			this.textOutageComment.Name = "textOutageComment";
			this.textOutageComment.ReadOnly = true;
			this.textOutageComment.Size = new System.Drawing.Size(352, 24);
			this.textOutageComment.TabIndex = 11;
			this.textOutageComment.Text = "";
			this.textOutageComment.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textOutageComment.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// textBoxL1Comment
			// 
			this.textBoxL1Comment.Location = new System.Drawing.Point(80, 48);
			this.textBoxL1Comment.Name = "textBoxL1Comment";
			this.textBoxL1Comment.Size = new System.Drawing.Size(200, 24);
			this.textBoxL1Comment.TabIndex = 2;
			this.textBoxL1Comment.Text = "";
			this.textBoxL1Comment.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textBoxL1Comment.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// toolBarButtonCopyTest
			// 
			this.toolBarButtonCopyTest.ImageIndex = 1;
			this.toolBarButtonCopyTest.ToolTipText = "Copy data relevant to testers";
			// 
			// radioNoTrans
			// 
			this.radioNoTrans.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioNoTrans.Location = new System.Drawing.Point(336, 84);
			this.radioNoTrans.Name = "radioNoTrans";
			this.radioNoTrans.Size = new System.Drawing.Size(200, 24);
			this.radioNoTrans.TabIndex = 9;
			this.radioNoTrans.TabStop = true;
			this.radioNoTrans.Text = "No Transmission";
			this.radioNoTrans.CheckedChanged += new System.EventHandler(this.RadioNonOtherCheckChanged);
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(16, 32);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(80, 23);
			this.label7.TabIndex = 1;
			this.label7.Text = "&Verify:";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(48, 24);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(112, 23);
			this.label1.TabIndex = 1;
			this.label1.Text = "&Number of lines:";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(304, 24);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(168, 23);
			this.label2.TabIndex = 3;
			this.label2.Text = "&Previous Relevant Orders:";
			// 
			// radioFacility
			// 
			this.radioFacility.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioFacility.Location = new System.Drawing.Point(336, 52);
			this.radioFacility.Name = "radioFacility";
			this.radioFacility.Size = new System.Drawing.Size(200, 24);
			this.radioFacility.TabIndex = 8;
			this.radioFacility.TabStop = true;
			this.radioFacility.Text = "Facility";
			this.radioFacility.CheckedChanged += new System.EventHandler(this.RadioNonOtherCheckChanged);
			// 
			// label17
			// 
			this.label17.Location = new System.Drawing.Point(16, 64);
			this.label17.Name = "label17";
			this.label17.Size = new System.Drawing.Size(56, 23);
			this.label17.TabIndex = 1;
			this.label17.Text = "Da&ta:";
			// 
			// label16
			// 
			this.label16.Location = new System.Drawing.Point(16, 32);
			this.label16.Name = "label16";
			this.label16.Size = new System.Drawing.Size(56, 23);
			this.label16.TabIndex = 0;
			this.label16.Text = "&Voice:";
			// 
			// label11
			// 
			this.label11.Location = new System.Drawing.Point(16, 24);
			this.label11.Name = "label11";
			this.label11.Size = new System.Drawing.Size(80, 23);
			this.label11.TabIndex = 0;
			this.label11.Text = "&Type:";
			// 
			// textNumLines
			// 
			this.textNumLines.Location = new System.Drawing.Point(160, 24);
			this.textNumLines.MaxLength = 4;
			this.textNumLines.Name = "textNumLines";
			this.textNumLines.Size = new System.Drawing.Size(72, 24);
			this.textNumLines.TabIndex = 0;
			this.textNumLines.Text = "";
			this.textNumLines.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textNumLines.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// menuItemMacros
			// 
			this.menuItemMacros.Index = 4;
			this.menuItemMacros.Text = "Configure &Macros";
			this.menuItemMacros.Click += new System.EventHandler(this.HandleMenus);
			// 
			// menuItemConfigure
			// 
			this.menuItemConfigure.Index = 3;
			this.menuItemConfigure.Text = "Configu&re";
			this.menuItemConfigure.Click += new System.EventHandler(this.HandleMenus);
			// 
			// comboAntoss
			// 
			this.comboAntoss.Items.AddRange(new object[] {
						"Okay",
						"Not Okay"});
			this.comboAntoss.Location = new System.Drawing.Point(96, 128);
			this.comboAntoss.Name = "comboAntoss";
			this.comboAntoss.TabIndex = 12;
			this.comboAntoss.Text = "Please Choose";
			this.comboAntoss.SelectedValueChanged += new System.EventHandler(this.HandleComboBox);
			this.comboAntoss.SelectedIndexChanged += new System.EventHandler(this.HandleComboBox);
			// 
			// radioAuxNo
			// 
			this.radioAuxNo.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioAuxNo.Location = new System.Drawing.Point(16, 72);
			this.radioAuxNo.Name = "radioAuxNo";
			this.radioAuxNo.Size = new System.Drawing.Size(64, 24);
			this.radioAuxNo.TabIndex = 1;
			this.radioAuxNo.TabStop = true;
			this.radioAuxNo.Text = "No";
			this.radioAuxNo.CheckedChanged += new System.EventHandler(this.HandleRadio);
			// 
			// radioNoIncoming
			// 
			this.radioNoIncoming.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioNoIncoming.Location = new System.Drawing.Point(56, 84);
			this.radioNoIncoming.Name = "radioNoIncoming";
			this.radioNoIncoming.Size = new System.Drawing.Size(200, 24);
			this.radioNoIncoming.TabIndex = 5;
			this.radioNoIncoming.TabStop = true;
			this.radioNoIncoming.Text = "No Incoming Calls";
			this.radioNoIncoming.CheckedChanged += new System.EventHandler(this.RadioNonOtherCheckChanged);
			// 
			// groupLineTest
			// 
			this.groupLineTest.Controls.Add(this.comboBoxTel2);
			this.groupLineTest.Controls.Add(this.comboBoxTel1);
			this.groupLineTest.Controls.Add(this.textAntossComment);
			this.groupLineTest.Controls.Add(this.comboAntoss);
			this.groupLineTest.Controls.Add(this.label10);
			this.groupLineTest.Controls.Add(this.textOutageComment);
			this.groupLineTest.Controls.Add(this.comboOutage);
			this.groupLineTest.Controls.Add(this.label9);
			this.groupLineTest.Controls.Add(this.textPackageComment);
			this.groupLineTest.Controls.Add(this.textVerifyComment);
			this.groupLineTest.Controls.Add(this.comboPackage);
			this.groupLineTest.Controls.Add(this.label8);
			this.groupLineTest.Controls.Add(this.label7);
			this.groupLineTest.Controls.Add(this.comboVerify);
			this.groupLineTest.Location = new System.Drawing.Point(16, 96);
			this.groupLineTest.Name = "groupLineTest";
			this.groupLineTest.Size = new System.Drawing.Size(592, 160);
			this.groupLineTest.TabIndex = 2;
			this.groupLineTest.TabStop = false;
			this.groupLineTest.Text = "Test Results";
			// 
			// tabStep2
			// 
			this.tabStep2.Controls.Add(this.groupDeviceState);
			this.tabStep2.Controls.Add(this.groupAuxNumbers);
			this.tabStep2.Location = new System.Drawing.Point(4, 25);
			this.tabStep2.Name = "tabStep2";
			this.tabStep2.Size = new System.Drawing.Size(624, 443);
			this.tabStep2.TabIndex = 1;
			this.tabStep2.Text = "Step 2";
			// 
			// tabStep1
			// 
			this.tabStep1.Controls.Add(this.textCableDetails);
			this.tabStep1.Controls.Add(this.label3);
			this.tabStep1.Controls.Add(this.radioOrdersNo);
			this.tabStep1.Controls.Add(this.radioOrdersYes);
			this.tabStep1.Controls.Add(this.label2);
			this.tabStep1.Controls.Add(this.groupSymptom);
			this.tabStep1.Controls.Add(this.label1);
			this.tabStep1.Controls.Add(this.textNumLines);
			this.tabStep1.Location = new System.Drawing.Point(4, 25);
			this.tabStep1.Name = "tabStep1";
			this.tabStep1.Size = new System.Drawing.Size(624, 443);
			this.tabStep1.TabIndex = 0;
			this.tabStep1.Text = "Step 1";
			// 
			// menuItemNew
			// 
			this.menuItemNew.Index = 0;
			this.menuItemNew.Shortcut = System.Windows.Forms.Shortcut.CtrlN;
			this.menuItemNew.Text = "&New";
			this.menuItemNew.Click += new System.EventHandler(this.HandleMenus);
			// 
			// groupL2Settings
			// 
			this.groupL2Settings.Controls.Add(this.textBoxL2Comment);
			this.groupL2Settings.Controls.Add(this.radioL2PMP);
			this.groupL2Settings.Controls.Add(this.radioL2PTP);
			this.groupL2Settings.Controls.Add(this.labelL2Comment);
			this.groupL2Settings.Location = new System.Drawing.Point(320, 8);
			this.groupL2Settings.Name = "groupL2Settings";
			this.groupL2Settings.Size = new System.Drawing.Size(288, 80);
			this.groupL2Settings.TabIndex = 1;
			this.groupL2Settings.TabStop = false;
			this.groupL2Settings.Text = "Layer &2 Settings";
			// 
			// radioL1Demand
			// 
			this.radioL1Demand.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioL1Demand.Location = new System.Drawing.Point(152, 24);
			this.radioL1Demand.Name = "radioL1Demand";
			this.radioL1Demand.TabIndex = 1;
			this.radioL1Demand.TabStop = true;
			this.radioL1Demand.Text = "Demand";
			// 
			// labelL2Comment
			// 
			this.labelL2Comment.Location = new System.Drawing.Point(16, 48);
			this.labelL2Comment.Name = "labelL2Comment";
			this.labelL2Comment.Size = new System.Drawing.Size(72, 23);
			this.labelL2Comment.TabIndex = 3;
			this.labelL2Comment.Text = "Comment:";
			// 
			// textAuxComments
			// 
			this.textAuxComments.Enabled = false;
			this.textAuxComments.Location = new System.Drawing.Point(104, 48);
			this.textAuxComments.Multiline = true;
			this.textAuxComments.Name = "textAuxComments";
			this.textAuxComments.ReadOnly = true;
			this.textAuxComments.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.textAuxComments.Size = new System.Drawing.Size(480, 152);
			this.textAuxComments.TabIndex = 2;
			this.textAuxComments.Text = "";
			this.textAuxComments.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textAuxComments.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// radioAlarmsNo
			// 
			this.radioAlarmsNo.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioAlarmsNo.Location = new System.Drawing.Point(16, 72);
			this.radioAlarmsNo.Name = "radioAlarmsNo";
			this.radioAlarmsNo.Size = new System.Drawing.Size(64, 24);
			this.radioAlarmsNo.TabIndex = 1;
			this.radioAlarmsNo.TabStop = true;
			this.radioAlarmsNo.Text = "No";
			this.radioAlarmsNo.CheckedChanged += new System.EventHandler(this.HandleRadio);
			// 
			// menuItemHelp
			// 
			this.menuItemHelp.Index = 0;
			this.menuItemHelp.Shortcut = System.Windows.Forms.Shortcut.CtrlF1;
			this.menuItemHelp.Text = "&Help";
			this.menuItemHelp.Click += new System.EventHandler(this.HandleMenus);
			// 
			// checkAlarmsSync
			// 
			this.checkAlarmsSync.Location = new System.Drawing.Point(464, 24);
			this.checkAlarmsSync.Name = "checkAlarmsSync";
			this.checkAlarmsSync.TabIndex = 16;
			this.checkAlarmsSync.Text = "Sync Loss";
			this.checkAlarmsSync.Visible = false;
			// 
			// comboPackage
			// 
			this.comboPackage.Items.AddRange(new object[] {
						"Okay",
						"Busy",
						"Fail"});
			this.comboPackage.Location = new System.Drawing.Point(96, 64);
			this.comboPackage.Name = "comboPackage";
			this.comboPackage.TabIndex = 8;
			this.comboPackage.Text = "Please Choose";
			this.comboPackage.SelectedValueChanged += new System.EventHandler(this.HandleComboBox);
			this.comboPackage.SelectedIndexChanged += new System.EventHandler(this.HandleComboBox);
			// 
			// mainMenu
			// 
			this.mainMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
						this.menuFile,
						this.menuTools,
						this.menuHelp});
			// 
			// groupTestCall
			// 
			this.groupTestCall.Controls.Add(this.textTestCallDataComment);
			this.groupTestCall.Controls.Add(this.textTestCallVoiceComment);
			this.groupTestCall.Controls.Add(this.comboTestCallData);
			this.groupTestCall.Controls.Add(this.label17);
			this.groupTestCall.Controls.Add(this.label16);
			this.groupTestCall.Controls.Add(this.comboTestCallVoice);
			this.groupTestCall.Location = new System.Drawing.Point(16, 56);
			this.groupTestCall.Name = "groupTestCall";
			this.groupTestCall.Size = new System.Drawing.Size(592, 104);
			this.groupTestCall.TabIndex = 4;
			this.groupTestCall.TabStop = false;
			this.groupTestCall.Text = "Test Call Results";
			// 
			// textBoxL2Comment
			// 
			this.textBoxL2Comment.Location = new System.Drawing.Point(88, 48);
			this.textBoxL2Comment.Name = "textBoxL2Comment";
			this.textBoxL2Comment.Size = new System.Drawing.Size(192, 24);
			this.textBoxL2Comment.TabIndex = 5;
			this.textBoxL2Comment.Text = "";
			this.textBoxL2Comment.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textBoxL2Comment.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// checkAlarmsPFO
			// 
			this.checkAlarmsPFO.Location = new System.Drawing.Point(224, 24);
			this.checkAlarmsPFO.Name = "checkAlarmsPFO";
			this.checkAlarmsPFO.TabIndex = 14;
			this.checkAlarmsPFO.Text = "Over Current";
			this.checkAlarmsPFO.Visible = false;
			// 
			// textTestCallVoiceComment
			// 
			this.textTestCallVoiceComment.Enabled = false;
			this.textTestCallVoiceComment.Location = new System.Drawing.Point(224, 32);
			this.textTestCallVoiceComment.Name = "textTestCallVoiceComment";
			this.textTestCallVoiceComment.ReadOnly = true;
			this.textTestCallVoiceComment.Size = new System.Drawing.Size(360, 24);
			this.textTestCallVoiceComment.TabIndex = 3;
			this.textTestCallVoiceComment.Text = "";
			this.textTestCallVoiceComment.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textTestCallVoiceComment.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// toolBarButtonCopyField
			// 
			this.toolBarButtonCopyField.ImageIndex = 2;
			this.toolBarButtonCopyField.ToolTipText = "Copy relevant data to field";
			// 
			// menuHelp
			// 
			this.menuHelp.Index = 2;
			this.menuHelp.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
						this.menuItemHelp,
						this.menuItemUpdates,
						this.menuItemSep,
						this.menuItemAbout});
			this.menuHelp.Text = "&Help";
			// 
			// menuItemUpdates
			// 
			this.menuItemUpdates.Index = 1;
			this.menuItemUpdates.Text = "Check for &Updates";
			this.menuItemUpdates.Click += new System.EventHandler(this.HandleMenus);
			// 
			// textPackageComment
			// 
			this.textPackageComment.Enabled = false;
			this.textPackageComment.Location = new System.Drawing.Point(232, 64);
			this.textPackageComment.Name = "textPackageComment";
			this.textPackageComment.ReadOnly = true;
			this.textPackageComment.Size = new System.Drawing.Size(352, 24);
			this.textPackageComment.TabIndex = 9;
			this.textPackageComment.Text = "";
			this.textPackageComment.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textPackageComment.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// checkAlarmsHardwareFault
			// 
			this.checkAlarmsHardwareFault.Location = new System.Drawing.Point(104, 24);
			this.checkAlarmsHardwareFault.Name = "checkAlarmsHardwareFault";
			this.checkAlarmsHardwareFault.TabIndex = 13;
			this.checkAlarmsHardwareFault.Text = "EN Fault";
			this.checkAlarmsHardwareFault.Visible = false;
			// 
			// groupCustomerContact
			// 
			this.groupCustomerContact.Controls.Add(this.textCustomerContactComments);
			this.groupCustomerContact.Location = new System.Drawing.Point(16, 176);
			this.groupCustomerContact.Name = "groupCustomerContact";
			this.groupCustomerContact.Size = new System.Drawing.Size(592, 256);
			this.groupCustomerContact.TabIndex = 5;
			this.groupCustomerContact.TabStop = false;
			this.groupCustomerContact.Text = "Closing Notes";
			// 
			// textVerifyComment
			// 
			this.textVerifyComment.Enabled = false;
			this.textVerifyComment.Location = new System.Drawing.Point(232, 32);
			this.textVerifyComment.Name = "textVerifyComment";
			this.textVerifyComment.ReadOnly = true;
			this.textVerifyComment.Size = new System.Drawing.Size(352, 24);
			this.textVerifyComment.TabIndex = 7;
			this.textVerifyComment.Text = "";
			this.textVerifyComment.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textVerifyComment.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// groupAuxNumbers
			// 
			this.groupAuxNumbers.Controls.Add(this.textAuxComments);
			this.groupAuxNumbers.Controls.Add(this.label4);
			this.groupAuxNumbers.Controls.Add(this.radioAuxNo);
			this.groupAuxNumbers.Controls.Add(this.radioAuxYes);
			this.groupAuxNumbers.Location = new System.Drawing.Point(16, 8);
			this.groupAuxNumbers.Name = "groupAuxNumbers";
			this.groupAuxNumbers.Size = new System.Drawing.Size(592, 208);
			this.groupAuxNumbers.TabIndex = 0;
			this.groupAuxNumbers.TabStop = false;
			this.groupAuxNumbers.Text = "&Auxillary Numbers";
			// 
			// comboVerify
			// 
			this.comboVerify.Items.AddRange(new object[] {
						"Okay",
						"Busy",
						"Fail"});
			this.comboVerify.Location = new System.Drawing.Point(96, 32);
			this.comboVerify.Name = "comboVerify";
			this.comboVerify.TabIndex = 6;
			this.comboVerify.Text = "Please Choose";
			this.comboVerify.SelectedValueChanged += new System.EventHandler(this.HandleComboBox);
			this.comboVerify.SelectedIndexChanged += new System.EventHandler(this.HandleComboBox);
			// 
			// radioStatic
			// 
			this.radioStatic.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioStatic.Location = new System.Drawing.Point(56, 52);
			this.radioStatic.Name = "radioStatic";
			this.radioStatic.Size = new System.Drawing.Size(200, 24);
			this.radioStatic.TabIndex = 4;
			this.radioStatic.TabStop = true;
			this.radioStatic.Text = "COS, Noisy, Static";
			this.radioStatic.CheckedChanged += new System.EventHandler(this.RadioNonOtherCheckChanged);
			// 
			// comboPGSConfig
			// 
			this.comboPGSConfig.Enabled = false;
			this.comboPGSConfig.Location = new System.Drawing.Point(328, 24);
			this.comboPGSConfig.Name = "comboPGSConfig";
			this.comboPGSConfig.Size = new System.Drawing.Size(256, 24);
			this.comboPGSConfig.TabIndex = 15;
			this.comboPGSConfig.Text = "Please Choose";
			this.comboPGSConfig.SelectedIndexChanged += new System.EventHandler(this.HandleComboBox);
			// 
			// checkAlarmsS12Other
			// 
			this.checkAlarmsS12Other.Location = new System.Drawing.Point(104, 96);
			this.checkAlarmsS12Other.Name = "checkAlarmsS12Other";
			this.checkAlarmsS12Other.TabIndex = 21;
			this.checkAlarmsS12Other.Text = "Other";
			this.checkAlarmsS12Other.Visible = false;
			// 
			// textAlarmsComments
			// 
			this.textAlarmsComments.Enabled = false;
			this.textAlarmsComments.Location = new System.Drawing.Point(8, 136);
			this.textAlarmsComments.Multiline = true;
			this.textAlarmsComments.Name = "textAlarmsComments";
			this.textAlarmsComments.ReadOnly = true;
			this.textAlarmsComments.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.textAlarmsComments.Size = new System.Drawing.Size(576, 128);
			this.textAlarmsComments.TabIndex = 10;
			this.textAlarmsComments.Text = "";
			this.textAlarmsComments.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textAlarmsComments.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// textBoxOther
			// 
			this.textBoxOther.Enabled = false;
			this.textBoxOther.Location = new System.Drawing.Point(400, 120);
			this.textBoxOther.Name = "textBoxOther";
			this.textBoxOther.ReadOnly = true;
			this.textBoxOther.Size = new System.Drawing.Size(184, 24);
			this.textBoxOther.TabIndex = 11;
			this.textBoxOther.Text = "";
			this.textBoxOther.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textBoxOther.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// textAntossComment
			// 
			this.textAntossComment.Enabled = false;
			this.textAntossComment.Location = new System.Drawing.Point(408, 128);
			this.textAntossComment.Name = "textAntossComment";
			this.textAntossComment.ReadOnly = true;
			this.textAntossComment.Size = new System.Drawing.Size(176, 24);
			this.textAntossComment.TabIndex = 13;
			this.textAntossComment.Text = "";
			this.textAntossComment.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textAntossComment.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// groupSymptom
			// 
			this.groupSymptom.Controls.Add(this.comboBoxComms);
			this.groupSymptom.Controls.Add(this.textBoxOther);
			this.groupSymptom.Controls.Add(this.radioOther);
			this.groupSymptom.Controls.Add(this.radioNoTrans);
			this.groupSymptom.Controls.Add(this.radioFacility);
			this.groupSymptom.Controls.Add(this.radioDTP);
			this.groupSymptom.Controls.Add(this.radioNoOutgoing);
			this.groupSymptom.Controls.Add(this.radioNoIncoming);
			this.groupSymptom.Controls.Add(this.radioStatic);
			this.groupSymptom.Controls.Add(this.radioNoComms);
			this.groupSymptom.Location = new System.Drawing.Point(16, 64);
			this.groupSymptom.Name = "groupSymptom";
			this.groupSymptom.Size = new System.Drawing.Size(592, 160);
			this.groupSymptom.TabIndex = 2;
			this.groupSymptom.TabStop = false;
			this.groupSymptom.Text = "&Symptom Code";
			// 
			// radioNoOutgoing
			// 
			this.radioNoOutgoing.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioNoOutgoing.Location = new System.Drawing.Point(56, 116);
			this.radioNoOutgoing.Name = "radioNoOutgoing";
			this.radioNoOutgoing.Size = new System.Drawing.Size(200, 24);
			this.radioNoOutgoing.TabIndex = 6;
			this.radioNoOutgoing.TabStop = true;
			this.radioNoOutgoing.Text = "No Outgoing Calls";
			this.radioNoOutgoing.CheckedChanged += new System.EventHandler(this.RadioNonOtherCheckChanged);
			// 
			// textCableDetails
			// 
			this.textCableDetails.Location = new System.Drawing.Point(16, 264);
			this.textCableDetails.Multiline = true;
			this.textCableDetails.Name = "textCableDetails";
			this.textCableDetails.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.textCableDetails.Size = new System.Drawing.Size(592, 168);
			this.textCableDetails.TabIndex = 11;
			this.textCableDetails.Text = "";
			this.textCableDetails.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textCableDetails.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// radioL2PTP
			// 
			this.radioL2PTP.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioL2PTP.Location = new System.Drawing.Point(16, 24);
			this.radioL2PTP.Name = "radioL2PTP";
			this.radioL2PTP.Size = new System.Drawing.Size(120, 24);
			this.radioL2PTP.TabIndex = 3;
			this.radioL2PTP.TabStop = true;
			this.radioL2PTP.Text = "Point to Point";
			// 
			// labelL1Comment
			// 
			this.labelL1Comment.Location = new System.Drawing.Point(8, 48);
			this.labelL1Comment.Name = "labelL1Comment";
			this.labelL1Comment.Size = new System.Drawing.Size(72, 23);
			this.labelL1Comment.TabIndex = 2;
			this.labelL1Comment.Text = "Comment:";
			// 
			// label8
			// 
			this.label8.Location = new System.Drawing.Point(16, 64);
			this.label8.Name = "label8";
			this.label8.Size = new System.Drawing.Size(80, 23);
			this.label8.TabIndex = 2;
			this.label8.Text = "&Package:";
			// 
			// comboBoxTel2
			// 
			this.comboBoxTel2.Enabled = false;
			this.comboBoxTel2.Items.AddRange(new object[] {
						"On Hook",
						"Busy",
						"Short",
						"No Phone"});
			this.comboBoxTel2.Location = new System.Drawing.Point(320, 128);
			this.comboBoxTel2.Name = "comboBoxTel2";
			this.comboBoxTel2.Size = new System.Drawing.Size(80, 24);
			this.comboBoxTel2.TabIndex = 16;
			this.comboBoxTel2.Text = "Tel2";
			// 
			// comboBoxTel1
			// 
			this.comboBoxTel1.Enabled = false;
			this.comboBoxTel1.Items.AddRange(new object[] {
						"On Hook",
						"Busy",
						"Short",
						"No Phone"});
			this.comboBoxTel1.Location = new System.Drawing.Point(232, 128);
			this.comboBoxTel1.Name = "comboBoxTel1";
			this.comboBoxTel1.Size = new System.Drawing.Size(80, 24);
			this.comboBoxTel1.TabIndex = 15;
			this.comboBoxTel1.Text = "Tel1";
			// 
			// radioAlarmsYes
			// 
			this.radioAlarmsYes.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioAlarmsYes.Location = new System.Drawing.Point(16, 32);
			this.radioAlarmsYes.Name = "radioAlarmsYes";
			this.radioAlarmsYes.Size = new System.Drawing.Size(64, 24);
			this.radioAlarmsYes.TabIndex = 0;
			this.radioAlarmsYes.TabStop = true;
			this.radioAlarmsYes.Text = "Yes";
			this.radioAlarmsYes.CheckedChanged += new System.EventHandler(this.HandleRadio);
			// 
			// menuTools
			// 
			this.menuTools.Index = 1;
			this.menuTools.Text = "&Tools";
			// 
			// radioOther
			// 
			this.radioOther.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioOther.Location = new System.Drawing.Point(336, 116);
			this.radioOther.Name = "radioOther";
			this.radioOther.Size = new System.Drawing.Size(64, 24);
			this.radioOther.TabIndex = 10;
			this.radioOther.TabStop = true;
			this.radioOther.Text = "Other";
			this.radioOther.CheckedChanged += new System.EventHandler(this.RadioOtherCheckedChanged);
			// 
			// toolBarButtonNew
			// 
			this.toolBarButtonNew.ImageIndex = 0;
			this.toolBarButtonNew.ToolTipText = "Reset all fields to default";
			// 
			// textBoxFieldNotes
			// 
			this.textBoxFieldNotes.Location = new System.Drawing.Point(8, 24);
			this.textBoxFieldNotes.Multiline = true;
			this.textBoxFieldNotes.Name = "textBoxFieldNotes";
			this.textBoxFieldNotes.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.textBoxFieldNotes.Size = new System.Drawing.Size(584, 400);
			this.textBoxFieldNotes.TabIndex = 0;
			this.textBoxFieldNotes.Text = "";
			this.textBoxFieldNotes.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textBoxFieldNotes.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// textQMDays
			// 
			this.textQMDays.Enabled = false;
			this.textQMDays.Location = new System.Drawing.Point(312, 24);
			this.textQMDays.MaxLength = 2;
			this.textQMDays.Name = "textQMDays";
			this.textQMDays.ReadOnly = true;
			this.textQMDays.Size = new System.Drawing.Size(32, 24);
			this.textQMDays.TabIndex = 1;
			this.textQMDays.Text = "";
			this.textQMDays.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textQMDays.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// radioDevExtBlk
			// 
			this.radioDevExtBlk.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioDevExtBlk.Location = new System.Drawing.Point(386, 124);
			this.radioDevExtBlk.Name = "radioDevExtBlk";
			this.radioDevExtBlk.Size = new System.Drawing.Size(100, 24);
			this.radioDevExtBlk.TabIndex = 11;
			this.radioDevExtBlk.TabStop = true;
			this.radioDevExtBlk.Text = "ExtBlk";
			this.radioDevExtBlk.CheckedChanged += new System.EventHandler(this.HandleRadio);
			// 
			// radioDevAVFree
			// 
			this.radioDevAVFree.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioDevAVFree.Location = new System.Drawing.Point(386, 20);
			this.radioDevAVFree.Name = "radioDevAVFree";
			this.radioDevAVFree.Size = new System.Drawing.Size(100, 24);
			this.radioDevAVFree.TabIndex = 8;
			this.radioDevAVFree.TabStop = true;
			this.radioDevAVFree.Text = "AVFree";
			this.radioDevAVFree.CheckedChanged += new System.EventHandler(this.HandleRadio);
			// 
			// groupBoxFieldNotes
			// 
			this.groupBoxFieldNotes.Controls.Add(this.textBoxFieldNotes);
			this.groupBoxFieldNotes.Location = new System.Drawing.Point(8, 8);
			this.groupBoxFieldNotes.Name = "groupBoxFieldNotes";
			this.groupBoxFieldNotes.Size = new System.Drawing.Size(600, 432);
			this.groupBoxFieldNotes.TabIndex = 11;
			this.groupBoxFieldNotes.TabStop = false;
			this.groupBoxFieldNotes.Text = "Field Notes";
			// 
			// toolBar
			// 
			this.toolBar.Appearance = System.Windows.Forms.ToolBarAppearance.Flat;
			this.toolBar.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
						this.toolBarButtonNew,
						this.toolBarButtonCopyTest,
						this.toolBarButtonCopyField});
			this.toolBar.DropDownArrows = true;
			this.toolBar.ImageList = this.imageList;
			this.toolBar.Location = new System.Drawing.Point(0, 0);
			this.toolBar.Name = "toolBar";
			this.toolBar.ShowToolTips = true;
			this.toolBar.Size = new System.Drawing.Size(632, 28);
			this.toolBar.TabIndex = 2;
			this.toolBar.ButtonClick += new System.Windows.Forms.ToolBarButtonClickEventHandler(this.ToolBarButtonClick);
			// 
			// menuItemExit
			// 
			this.menuItemExit.Index = 5;
			this.menuItemExit.Shortcut = System.Windows.Forms.Shortcut.CtrlQ;
			this.menuItemExit.Text = "E&xit";
			this.menuItemExit.Click += new System.EventHandler(this.HandleMenus);
			// 
			// textPGSComments
			// 
			this.textPGSComments.Enabled = false;
			this.textPGSComments.Location = new System.Drawing.Point(16, 80);
			this.textPGSComments.Multiline = true;
			this.textPGSComments.Name = "textPGSComments";
			this.textPGSComments.ReadOnly = true;
			this.textPGSComments.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.textPGSComments.Size = new System.Drawing.Size(560, 80);
			this.textPGSComments.TabIndex = 16;
			this.textPGSComments.Text = "";
			this.textPGSComments.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textPGSComments.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// label9
			// 
			this.label9.Location = new System.Drawing.Point(16, 96);
			this.label9.Name = "label9";
			this.label9.Size = new System.Drawing.Size(80, 23);
			this.label9.TabIndex = 6;
			this.label9.Text = "&Outage:";
			// 
			// label15
			// 
			this.label15.Location = new System.Drawing.Point(256, 24);
			this.label15.Name = "label15";
			this.label15.Size = new System.Drawing.Size(56, 23);
			this.label15.TabIndex = 3;
			this.label15.Text = "D&ays:";
			// 
			// label14
			// 
			this.label14.Location = new System.Drawing.Point(16, 24);
			this.label14.Name = "label14";
			this.label14.Size = new System.Drawing.Size(96, 23);
			this.label14.TabIndex = 0;
			this.label14.Text = "&QM\'s Set:";
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(96, 24);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(80, 23);
			this.label4.TabIndex = 2;
			this.label4.Text = "&Comments:";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(130, 152);
			this.label5.Name = "label5";
			this.label5.TabIndex = 4;
			this.label5.Text = "Hex State:";
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(8, 112);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(80, 23);
			this.label6.TabIndex = 12;
			this.label6.Text = "&Comments:";
			// 
			// label10
			// 
			this.label10.Location = new System.Drawing.Point(16, 128);
			this.label10.Name = "label10";
			this.label10.Size = new System.Drawing.Size(80, 23);
			this.label10.TabIndex = 9;
			this.label10.Text = "&Antoss:";
			// 
			// label13
			// 
			this.label13.Location = new System.Drawing.Point(16, 56);
			this.label13.Name = "label13";
			this.label13.Size = new System.Drawing.Size(80, 23);
			this.label13.TabIndex = 16;
			this.label13.Text = "&Comments:";
			// 
			// label12
			// 
			this.label12.Location = new System.Drawing.Point(232, 24);
			this.label12.Name = "label12";
			this.label12.Size = new System.Drawing.Size(96, 23);
			this.label12.TabIndex = 14;
			this.label12.Text = "C&onfiguration:";
			// 
			// checkAlarmsLowBEROut
			// 
			this.checkAlarmsLowBEROut.Location = new System.Drawing.Point(464, 64);
			this.checkAlarmsLowBEROut.Name = "checkAlarmsLowBEROut";
			this.checkAlarmsLowBEROut.TabIndex = 20;
			this.checkAlarmsLowBEROut.Text = "Low BER Out";
			this.checkAlarmsLowBEROut.Visible = false;
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(16, 240);
			this.label3.Name = "label3";
			this.label3.TabIndex = 6;
			this.label3.Text = "&Cable Details:";
			// 
			// menuItemAbout
			// 
			this.menuItemAbout.Index = 3;
			this.menuItemAbout.Text = "&About";
			this.menuItemAbout.Click += new System.EventHandler(this.HandleMenus);
			// 
			// radioDTP
			// 
			this.radioDTP.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioDTP.Location = new System.Drawing.Point(336, 20);
			this.radioDTP.Name = "radioDTP";
			this.radioDTP.Size = new System.Drawing.Size(200, 24);
			this.radioDTP.TabIndex = 7;
			this.radioDTP.TabStop = true;
			this.radioDTP.Text = "Data Transmission Problems";
			this.radioDTP.CheckedChanged += new System.EventHandler(this.RadioNonOtherCheckChanged);
			// 
			// comboQMS
			// 
			this.comboQMS.Items.AddRange(new object[] {
						"N/A",
						"Yes",
						"No"});
			this.comboQMS.Location = new System.Drawing.Point(112, 24);
			this.comboQMS.Name = "comboQMS";
			this.comboQMS.TabIndex = 0;
			this.comboQMS.Text = "Please Choose";
			this.comboQMS.SelectedValueChanged += new System.EventHandler(this.HandleComboBox);
			// 
			// comboOutage
			// 
			this.comboOutage.Items.AddRange(new object[] {
						"Yes",
						"No"});
			this.comboOutage.Location = new System.Drawing.Point(96, 96);
			this.comboOutage.Name = "comboOutage";
			this.comboOutage.TabIndex = 10;
			this.comboOutage.Text = "Please Choose";
			this.comboOutage.SelectedValueChanged += new System.EventHandler(this.HandleComboBox);
			this.comboOutage.SelectedIndexChanged += new System.EventHandler(this.HandleComboBox);
			// 
			// groupDeviceState
			// 
			this.groupDeviceState.Controls.Add(this.radioDevPowonl);
			this.groupDeviceState.Controls.Add(this.radioDevExtBlk);
			this.groupDeviceState.Controls.Add(this.radioDevUnavail);
			this.groupDeviceState.Controls.Add(this.radioDevAVBusy);
			this.groupDeviceState.Controls.Add(this.radioDevAVFree);
			this.groupDeviceState.Controls.Add(this.textDevHex);
			this.groupDeviceState.Controls.Add(this.label5);
			this.groupDeviceState.Controls.Add(this.radioDevCBL);
			this.groupDeviceState.Controls.Add(this.radioDevABL);
			this.groupDeviceState.Controls.Add(this.radioDevBusy);
			this.groupDeviceState.Controls.Add(this.radioDevIdle);
			this.groupDeviceState.Location = new System.Drawing.Point(16, 224);
			this.groupDeviceState.Name = "groupDeviceState";
			this.groupDeviceState.Size = new System.Drawing.Size(592, 208);
			this.groupDeviceState.TabIndex = 1;
			this.groupDeviceState.TabStop = false;
			this.groupDeviceState.Text = "&Device State";
			// 
			// imageList
			// 
			this.imageList.ImageSize = new System.Drawing.Size(16, 16);
			this.imageList.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList.ImageStream")));
			this.imageList.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// checkAlarmsL2
			// 
			this.checkAlarmsL2.Enabled = false;
			this.checkAlarmsL2.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.checkAlarmsL2.Location = new System.Drawing.Point(344, 24);
			this.checkAlarmsL2.Name = "checkAlarmsL2";
			this.checkAlarmsL2.TabIndex = 7;
			this.checkAlarmsL2.Text = "L2";
			// 
			// checkAlarmsL3
			// 
			this.checkAlarmsL3.Enabled = false;
			this.checkAlarmsL3.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.checkAlarmsL3.Location = new System.Drawing.Point(344, 64);
			this.checkAlarmsL3.Name = "checkAlarmsL3";
			this.checkAlarmsL3.TabIndex = 8;
			this.checkAlarmsL3.Text = "L3";
			// 
			// radioOrdersNo
			// 
			this.radioOrdersNo.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioOrdersNo.Location = new System.Drawing.Point(528, 24);
			this.radioOrdersNo.Name = "radioOrdersNo";
			this.radioOrdersNo.Size = new System.Drawing.Size(48, 24);
			this.radioOrdersNo.TabIndex = 2;
			this.radioOrdersNo.TabStop = true;
			this.radioOrdersNo.Text = "No";
			this.radioOrdersNo.CheckedChanged += new System.EventHandler(this.HandleRadio);
			// 
			// radioDevAVBusy
			// 
			this.radioDevAVBusy.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioDevAVBusy.Location = new System.Drawing.Point(386, 52);
			this.radioDevAVBusy.Name = "radioDevAVBusy";
			this.radioDevAVBusy.Size = new System.Drawing.Size(100, 24);
			this.radioDevAVBusy.TabIndex = 9;
			this.radioDevAVBusy.TabStop = true;
			this.radioDevAVBusy.Text = "AVBusy";
			this.radioDevAVBusy.CheckedChanged += new System.EventHandler(this.HandleRadio);
			// 
			// textDevHex
			// 
			this.textDevHex.Location = new System.Drawing.Point(234, 152);
			this.textDevHex.MaxLength = 2;
			this.textDevHex.Name = "textDevHex";
			this.textDevHex.Size = new System.Drawing.Size(24, 24);
			this.textDevHex.TabIndex = 7;
			this.textDevHex.Text = "";
			this.textDevHex.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textDevHex.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// radioDevUnavail
			// 
			this.radioDevUnavail.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioDevUnavail.Location = new System.Drawing.Point(386, 92);
			this.radioDevUnavail.Name = "radioDevUnavail";
			this.radioDevUnavail.Size = new System.Drawing.Size(100, 24);
			this.radioDevUnavail.TabIndex = 10;
			this.radioDevUnavail.TabStop = true;
			this.radioDevUnavail.Text = "Unavail";
			this.radioDevUnavail.CheckedChanged += new System.EventHandler(this.HandleRadio);
			// 
			// groupBoxCats
			// 
			this.groupBoxCats.Controls.Add(this.textBoxCats);
			this.groupBoxCats.Location = new System.Drawing.Point(16, 288);
			this.groupBoxCats.Name = "groupBoxCats";
			this.groupBoxCats.Size = new System.Drawing.Size(592, 144);
			this.groupBoxCats.TabIndex = 1;
			this.groupBoxCats.TabStop = false;
			this.groupBoxCats.Text = "Switch Programming";
			// 
			// checkAlarmsHighBERIn
			// 
			this.checkAlarmsHighBERIn.Location = new System.Drawing.Point(104, 64);
			this.checkAlarmsHighBERIn.Name = "checkAlarmsHighBERIn";
			this.checkAlarmsHighBERIn.TabIndex = 17;
			this.checkAlarmsHighBERIn.Text = "High BER In";
			this.checkAlarmsHighBERIn.Visible = false;
			// 
			// radioL2PMP
			// 
			this.radioL2PMP.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioL2PMP.Location = new System.Drawing.Point(136, 24);
			this.radioL2PMP.Name = "radioL2PMP";
			this.radioL2PMP.Size = new System.Drawing.Size(144, 24);
			this.radioL2PMP.TabIndex = 4;
			this.radioL2PMP.TabStop = true;
			this.radioL2PMP.Text = "Point to Multi-Point";
			// 
			// comboTestCallData
			// 
			this.comboTestCallData.Items.AddRange(new object[] {
						"N/A",
						"Connect Okay",
						"Fail"});
			this.comboTestCallData.Location = new System.Drawing.Point(72, 64);
			this.comboTestCallData.Name = "comboTestCallData";
			this.comboTestCallData.Size = new System.Drawing.Size(144, 24);
			this.comboTestCallData.TabIndex = 4;
			this.comboTestCallData.Text = "Please Choose";
			this.comboTestCallData.SelectedValueChanged += new System.EventHandler(this.HandleComboBox);
			// 
			// checkAlarmsHighBEROut
			// 
			this.checkAlarmsHighBEROut.Location = new System.Drawing.Point(224, 64);
			this.checkAlarmsHighBEROut.Name = "checkAlarmsHighBEROut";
			this.checkAlarmsHighBEROut.TabIndex = 18;
			this.checkAlarmsHighBEROut.Text = "High BER Out";
			this.checkAlarmsHighBEROut.Visible = false;
			// 
			// checkAlarmsUInterface
			// 
			this.checkAlarmsUInterface.Enabled = false;
			this.checkAlarmsUInterface.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.checkAlarmsUInterface.Location = new System.Drawing.Point(224, 64);
			this.checkAlarmsUInterface.Name = "checkAlarmsUInterface";
			this.checkAlarmsUInterface.TabIndex = 6;
			this.checkAlarmsUInterface.Text = "\'U\' Interface";
			// 
			// textCustomerContactComments
			// 
			this.textCustomerContactComments.Location = new System.Drawing.Point(16, 24);
			this.textCustomerContactComments.Multiline = true;
			this.textCustomerContactComments.Name = "textCustomerContactComments";
			this.textCustomerContactComments.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.textCustomerContactComments.Size = new System.Drawing.Size(560, 224);
			this.textCustomerContactComments.TabIndex = 8;
			this.textCustomerContactComments.Text = "";
			this.textCustomerContactComments.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textCustomerContactComments.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// radioDevCBL
			// 
			this.radioDevCBL.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioDevCBL.Location = new System.Drawing.Point(130, 120);
			this.radioDevCBL.Name = "radioDevCBL";
			this.radioDevCBL.Size = new System.Drawing.Size(100, 24);
			this.radioDevCBL.TabIndex = 6;
			this.radioDevCBL.TabStop = true;
			this.radioDevCBL.Text = "CBL";
			this.radioDevCBL.CheckedChanged += new System.EventHandler(this.HandleRadio);
			// 
			// menuItemSep
			// 
			this.menuItemSep.Enabled = false;
			this.menuItemSep.Index = 2;
			this.menuItemSep.Text = "-";
			// 
			// textBoxCats
			// 
			this.textBoxCats.Location = new System.Drawing.Point(8, 24);
			this.textBoxCats.Multiline = true;
			this.textBoxCats.Name = "textBoxCats";
			this.textBoxCats.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.textBoxCats.Size = new System.Drawing.Size(576, 112);
			this.textBoxCats.TabIndex = 11;
			this.textBoxCats.Text = "";
			this.textBoxCats.Validating += new System.ComponentModel.CancelEventHandler(this.validate_input);
			this.textBoxCats.KeyUp += new System.Windows.Forms.KeyEventHandler(this.MacroCheck_KeyUp);
			// 
			// checkAlarmsL1ES
			// 
			this.checkAlarmsL1ES.Enabled = false;
			this.checkAlarmsL1ES.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.checkAlarmsL1ES.Location = new System.Drawing.Point(104, 64);
			this.checkAlarmsL1ES.Name = "checkAlarmsL1ES";
			this.checkAlarmsL1ES.TabIndex = 3;
			this.checkAlarmsL1ES.Text = "L1-ES";
			// 
			// groupAlarms
			// 
			this.groupAlarms.Controls.Add(this.checkAlarmsS12Other);
			this.groupAlarms.Controls.Add(this.checkAlarmsLowBEROut);
			this.groupAlarms.Controls.Add(this.checkAlarmsLowBERIn);
			this.groupAlarms.Controls.Add(this.checkAlarmsHighBEROut);
			this.groupAlarms.Controls.Add(this.checkAlarmsHighBERIn);
			this.groupAlarms.Controls.Add(this.checkAlarmsSync);
			this.groupAlarms.Controls.Add(this.checkAlarmsLA);
			this.groupAlarms.Controls.Add(this.checkAlarmsPFO);
			this.groupAlarms.Controls.Add(this.checkAlarmsHardwareFault);
			this.groupAlarms.Controls.Add(this.textAlarmsComments);
			this.groupAlarms.Controls.Add(this.label6);
			this.groupAlarms.Controls.Add(this.checkAlarmsOther);
			this.groupAlarms.Controls.Add(this.checkAlarmsL3);
			this.groupAlarms.Controls.Add(this.checkAlarmsL2);
			this.groupAlarms.Controls.Add(this.checkAlarmsUInterface);
			this.groupAlarms.Controls.Add(this.checkAlarmsSInterface);
			this.groupAlarms.Controls.Add(this.checkAlarmsL1DM);
			this.groupAlarms.Controls.Add(this.checkAlarmsL1ES);
			this.groupAlarms.Controls.Add(this.checkAlarmsL1SES);
			this.groupAlarms.Controls.Add(this.radioAlarmsNo);
			this.groupAlarms.Controls.Add(this.radioAlarmsYes);
			this.groupAlarms.Location = new System.Drawing.Point(16, 8);
			this.groupAlarms.Name = "groupAlarms";
			this.groupAlarms.Size = new System.Drawing.Size(592, 272);
			this.groupAlarms.TabIndex = 0;
			this.groupAlarms.TabStop = false;
			this.groupAlarms.Text = "&Alarms";
			// 
			// tabStep6
			// 
			this.tabStep6.Controls.Add(this.groupBoxFieldNotes);
			this.tabStep6.Location = new System.Drawing.Point(4, 25);
			this.tabStep6.Name = "tabStep6";
			this.tabStep6.Size = new System.Drawing.Size(624, 443);
			this.tabStep6.TabIndex = 5;
			this.tabStep6.Text = "Step 6";
			// 
			// tabStep5
			// 
			this.tabStep5.Controls.Add(this.groupCustomerContact);
			this.tabStep5.Controls.Add(this.groupTestCall);
			this.tabStep5.Controls.Add(this.label15);
			this.tabStep5.Controls.Add(this.textQMDays);
			this.tabStep5.Controls.Add(this.comboQMS);
			this.tabStep5.Controls.Add(this.label14);
			this.tabStep5.Location = new System.Drawing.Point(4, 25);
			this.tabStep5.Name = "tabStep5";
			this.tabStep5.Size = new System.Drawing.Size(624, 443);
			this.tabStep5.TabIndex = 4;
			this.tabStep5.Text = "Step 5";
			// 
			// tabStep4
			// 
			this.tabStep4.Controls.Add(this.groupPGS);
			this.tabStep4.Controls.Add(this.groupLineTest);
			this.tabStep4.Controls.Add(this.groupL1Settings);
			this.tabStep4.Controls.Add(this.groupL2Settings);
			this.tabStep4.Location = new System.Drawing.Point(4, 25);
			this.tabStep4.Name = "tabStep4";
			this.tabStep4.Size = new System.Drawing.Size(624, 443);
			this.tabStep4.TabIndex = 3;
			this.tabStep4.Text = "Step 4";
			// 
			// tabStep3
			// 
			this.tabStep3.Controls.Add(this.groupBoxCats);
			this.tabStep3.Controls.Add(this.groupAlarms);
			this.tabStep3.Location = new System.Drawing.Point(4, 25);
			this.tabStep3.Name = "tabStep3";
			this.tabStep3.Size = new System.Drawing.Size(624, 443);
			this.tabStep3.TabIndex = 2;
			this.tabStep3.Text = "Step 3";
			// 
			// radioDevBusy
			// 
			this.radioDevBusy.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioDevBusy.Location = new System.Drawing.Point(130, 56);
			this.radioDevBusy.Name = "radioDevBusy";
			this.radioDevBusy.Size = new System.Drawing.Size(100, 24);
			this.radioDevBusy.TabIndex = 4;
			this.radioDevBusy.TabStop = true;
			this.radioDevBusy.Text = "Busy";
			this.radioDevBusy.CheckedChanged += new System.EventHandler(this.HandleRadio);
			// 
			// comboBoxComms
			// 
			this.comboBoxComms.Enabled = false;
			this.comboBoxComms.Items.AddRange(new object[] {
						"Line one",
						"Line two"});
			this.comboBoxComms.Location = new System.Drawing.Point(160, 24);
			this.comboBoxComms.Name = "comboBoxComms";
			this.comboBoxComms.TabIndex = 12;
			this.comboBoxComms.Text = "Both";
			// 
			// radioDevPowonl
			// 
			this.radioDevPowonl.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioDevPowonl.Location = new System.Drawing.Point(386, 156);
			this.radioDevPowonl.Name = "radioDevPowonl";
			this.radioDevPowonl.Size = new System.Drawing.Size(100, 24);
			this.radioDevPowonl.TabIndex = 12;
			this.radioDevPowonl.TabStop = true;
			this.radioDevPowonl.Text = "Powonl";
			this.radioDevPowonl.CheckedChanged += new System.EventHandler(this.HandleRadio);
			// 
			// radioL1Perm
			// 
			this.radioL1Perm.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioL1Perm.Location = new System.Drawing.Point(32, 24);
			this.radioL1Perm.Name = "radioL1Perm";
			this.radioL1Perm.TabIndex = 0;
			this.radioL1Perm.TabStop = true;
			this.radioL1Perm.Text = "Permanent";
			// 
			// checkAlarmsL1SES
			// 
			this.checkAlarmsL1SES.Enabled = false;
			this.checkAlarmsL1SES.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.checkAlarmsL1SES.Location = new System.Drawing.Point(104, 24);
			this.checkAlarmsL1SES.Name = "checkAlarmsL1SES";
			this.checkAlarmsL1SES.TabIndex = 2;
			this.checkAlarmsL1SES.Text = "L1-SES";
			// 
			// menuItemCopyTester
			// 
			this.menuItemCopyTester.Index = 1;
			this.menuItemCopyTester.Shortcut = System.Windows.Forms.Shortcut.CtrlT;
			this.menuItemCopyTester.Text = "Copy to &Tester";
			this.menuItemCopyTester.Click += new System.EventHandler(this.HandleMenus);
			// 
			// checkAlarmsLA
			// 
			this.checkAlarmsLA.Location = new System.Drawing.Point(344, 24);
			this.checkAlarmsLA.Name = "checkAlarmsLA";
			this.checkAlarmsLA.TabIndex = 15;
			this.checkAlarmsLA.Text = "L1 Activation";
			this.checkAlarmsLA.Visible = false;
			// 
			// checkAlarmsL1DM
			// 
			this.checkAlarmsL1DM.Enabled = false;
			this.checkAlarmsL1DM.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.checkAlarmsL1DM.Location = new System.Drawing.Point(224, 24);
			this.checkAlarmsL1DM.Name = "checkAlarmsL1DM";
			this.checkAlarmsL1DM.TabIndex = 4;
			this.checkAlarmsL1DM.Text = "L1-DM";
			// 
			// radioDevABL
			// 
			this.radioDevABL.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioDevABL.Location = new System.Drawing.Point(130, 88);
			this.radioDevABL.Name = "radioDevABL";
			this.radioDevABL.Size = new System.Drawing.Size(100, 24);
			this.radioDevABL.TabIndex = 5;
			this.radioDevABL.TabStop = true;
			this.radioDevABL.Text = "ABL";
			this.radioDevABL.CheckedChanged += new System.EventHandler(this.HandleRadio);
			// 
			// menuItemCopyField
			// 
			this.menuItemCopyField.Index = 2;
			this.menuItemCopyField.Shortcut = System.Windows.Forms.Shortcut.CtrlF;
			this.menuItemCopyField.Text = "Copy to &Field";
			this.menuItemCopyField.Click += new System.EventHandler(this.HandleMenus);
			// 
			// radioNoComms
			// 
			this.radioNoComms.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
			this.radioNoComms.Location = new System.Drawing.Point(56, 20);
			this.radioNoComms.Name = "radioNoComms";
			this.radioNoComms.TabIndex = 3;
			this.radioNoComms.TabStop = true;
			this.radioNoComms.Text = "No Comms";
			this.radioNoComms.CheckedChanged += new System.EventHandler(this.RadioNonOtherCheckChanged);
			// 
			// EvoTemplate
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(7, 17);
			this.ClientSize = new System.Drawing.Size(632, 549);
			this.Controls.Add(this.toolBar);
			this.Controls.Add(this.statusBar);
			this.Controls.Add(this.tabPages);
			this.Menu = this.mainMenu;
			this.Name = "EvoTemplate";
			this.Text = "EvoTemplate HH/Data";
			this.Closing += new System.ComponentModel.CancelEventHandler(this.EvoTemplateForm_Close);
			this.Load += new System.EventHandler(this.EvoTemplateForm_Load);
			this.groupPGS.ResumeLayout(false);
			this.tabPages.ResumeLayout(false);
			this.groupL1Settings.ResumeLayout(false);
			this.groupLineTest.ResumeLayout(false);
			this.tabStep2.ResumeLayout(false);
			this.tabStep1.ResumeLayout(false);
			this.groupL2Settings.ResumeLayout(false);
			this.groupTestCall.ResumeLayout(false);
			this.groupCustomerContact.ResumeLayout(false);
			this.groupAuxNumbers.ResumeLayout(false);
			this.groupSymptom.ResumeLayout(false);
			this.groupBoxFieldNotes.ResumeLayout(false);
			this.groupDeviceState.ResumeLayout(false);
			this.groupBoxCats.ResumeLayout(false);
			this.groupAlarms.ResumeLayout(false);
			this.tabStep6.ResumeLayout(false);
			this.tabStep5.ResumeLayout(false);
			this.tabStep4.ResumeLayout(false);
			this.tabStep3.ResumeLayout(false);
			this.ResumeLayout(false);
		}
		#endregion

		#region Main
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new EvoTemplate());
		}
		#endregion

		#region EvoTemplateForm_Load
		/// <summary>
		/// Attempt to load configuration. If it does not exist, display the configuration window.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void EvoTemplateForm_Load(object sender, System.EventArgs e)
		{
			try {
				this.Location = screenPosition.Position;
			}
			catch(Exception ex)
			{
				Console.WriteLine(ex.Message);
			}
				UpdateCheck();
		}
		#endregion

		#region EvoTemplateForm_Close
		private void EvoTemplateForm_Close(object sender, CancelEventArgs e)
		{
			screenPosition.Position = this.Location;
			screenPosition.SaveConfig();
			e.Cancel = false;
		}
		#endregion

		#region Init Tips
		/// <summary>Set tooltips on/of accordingly</summary>
		private void InitTips()
		{
			this.toolBar.ShowToolTips = this.appconfig.Tips;
			tip.Active = this.appconfig.Tips;

			tip.SetToolTip(radioOrdersNo, Strings.RadioOrdersNo);
			tip.SetToolTip(radioOrdersYes, Strings.RadioOrdersYes);
			tip.SetToolTip(radioOther, Strings.RadioOther);
			tip.SetToolTip(radioFacility, Strings.RadioFacility);
			tip.SetToolTip(radioDTP, Strings.RadioDTP);
			tip.SetToolTip(radioNoOutgoing, Strings.RadioNoOutgoing);
			tip.SetToolTip(radioStatic, Strings.RadioStatic);
			tip.SetToolTip(radioNoComms, Strings.RadioNoComms);
			tip.SetToolTip(radioNoTrans, Strings.RadioNoTrans);
			tip.SetToolTip(radioNoIncoming, Strings.RadioNoIncoming);

			tip.SetToolTip(radioDevPowonl, Strings.RadioDevPowonl);
			tip.SetToolTip(radioDevExtBlk, Strings.RadioDevExtBlk);
			tip.SetToolTip(radioDevUnavail, Strings.RadioDevUnavail);
			tip.SetToolTip(radioDevAVBusy, Strings.RadioDevAVBusy);
			tip.SetToolTip(radioDevAVFree, Strings.RadioDevAVFree);
			tip.SetToolTip(radioDevCBL, Strings.RadioDevCBL);
			tip.SetToolTip(radioDevABL, Strings.RadioDevABL);
			tip.SetToolTip(radioDevBusy, Strings.RadioDevBusy);
			tip.SetToolTip(radioDevIdle, Strings.RadioDevIdle);
			tip.SetToolTip(radioAuxNo, Strings.RadioAuxNo);
			tip.SetToolTip(radioAuxYes, Strings.RadioAuxYes);

			tip.SetToolTip(textNumLines, Strings.TextNumLines);
			tip.SetToolTip(textCableDetails, Strings.TextCableDetails);
			tip.SetToolTip(textDevHex, Strings.TextDevHex);
			tip.SetToolTip(textAuxComments, Strings.TextAuxComments);
			tip.SetToolTip(textAlarmsComments, Strings.TextAlarmsComments);
			tip.SetToolTip(textBoxL1Comment, Strings.TextBoxL1Comment);
			tip.SetToolTip(textBoxL2Comment, Strings.TextBoxL2Comment);
			tip.SetToolTip(textVerifyComment, Strings.TextVerifyComment);
			tip.SetToolTip(textPackageComment, Strings.TextPackageComment);
			tip.SetToolTip(textOutageComment, Strings.TextOutageComment);
			tip.SetToolTip(textAntossComment, Strings.TextAntossComment);
			tip.SetToolTip(textPGSComments, Strings.TextPGSComments);
			tip.SetToolTip(textQMDays, Strings.TextQMDays);
			tip.SetToolTip(textTestCallDataComment, Strings.TextTestCallDataComment);
			tip.SetToolTip(textTestCallVoiceComment, Strings.TextTestCallVoiceComment);
			tip.SetToolTip(textBoxCats, Strings.TextBoxCats);

			tip.SetToolTip(checkAlarmsOther, Strings.CheckAlarmsOther);
			tip.SetToolTip(checkAlarmsL3, Strings.CheckAlarmsL3);
			tip.SetToolTip(checkAlarmsL2, Strings.CheckAlarmsL2);
			tip.SetToolTip(checkAlarmsUInterface, Strings.CheckAlarmsUInterface);
			tip.SetToolTip(checkAlarmsSInterface, Strings.CheckAlarmsSInterface);
			tip.SetToolTip(checkAlarmsL1DM, Strings.CheckAlarmsL1DM);
			tip.SetToolTip(checkAlarmsL1ES, Strings.CheckAlarmsL1ES);
			tip.SetToolTip(checkAlarmsL1SES, Strings.CheckAlarmsL1SES);

			tip.SetToolTip(checkAlarmsHardwareFault, Strings.CheckAlarmsHardwareFault);
			tip.SetToolTip(checkAlarmsPFO, Strings.CheckAlarmsPFO);
			tip.SetToolTip(checkAlarmsLA, Strings.CheckAlarmsLA);
			tip.SetToolTip(checkAlarmsSync, Strings.CheckAlarmsL1Sync);
			tip.SetToolTip(checkAlarmsHighBERIn, Strings.CheckAlarmsL1HighBERIn);
			tip.SetToolTip(checkAlarmsHighBEROut, Strings.CheckAlarmsL1HighBEROut);
			tip.SetToolTip(checkAlarmsLowBERIn, Strings.CheckAlarmsL1LowBERIn);
			tip.SetToolTip(checkAlarmsLowBEROut, Strings.CheckAlarmsL1HighBEROut);
			tip.SetToolTip(checkAlarmsS12Other, Strings.CheckAlarmsOther);
			
			tip.SetToolTip(radioAlarmsNo, Strings.RadioAlarmsNo);
			tip.SetToolTip(radioAlarmsYes, Strings.RadioAlarmsYes);
			tip.SetToolTip(radioL1Demand, Strings.RadioL1Demand);
			tip.SetToolTip(radioL1Perm, Strings.RadioL1Perm);
			tip.SetToolTip(radioL2PMP, Strings.RadioL2PMP);
			tip.SetToolTip(radioL2PTP, Strings.RadioL2PTP);

			tip.SetToolTip(comboVerify, Strings.ComboVerify);
			tip.SetToolTip(comboPackage, Strings.ComboPackage);
			tip.SetToolTip(comboOutage, Strings.ComboOutage);
			tip.SetToolTip(comboAntoss, Strings.ComboAntoss);
			tip.SetToolTip(comboPGSType, Strings.ComboPGSType);
			tip.SetToolTip(comboPGSConfig, Strings.ComboPGSConfig);
			tip.SetToolTip(comboQMS, Strings.ComboQMS);
			tip.SetToolTip(comboTestCallVoice, Strings.ComboTestCallVoice);
			tip.SetToolTip(comboTestCallData, Strings.ComboTestCallData);
			tip.SetToolTip(textBoxFieldNotes, Strings.TextBoxFieldNotes);
			tip.SetToolTip(textBoxOther, Strings.TextBoxOther);
			tip.SetToolTip(comboBoxComms, Strings.ComboComms);
		}
		#endregion

		#region ImportAssembly
		/// <summary>
		/// Import an assembly
		/// </summary>
		private PluginConfig ImportAssembly(PluginConfig pc)
		{
			Assembly assembly = Assembly.LoadFrom(Directory.GetCurrentDirectory() + Strings.PluginPath + pc.Filename);
			
			foreach(Type type in assembly.GetTypes()) {
				if(type.IsClass == true) {
					if(type.GetInterface(Strings.IPlugin) == null) {
						continue;
					}
    
					pc.ObjectType = type;
					pc.BaseObject = Activator.CreateInstance (type);
					pc.Configurable = (bool)pc.ObjectType.InvokeMember(Strings.ConfigMethod,
											BindingFlags.Default | BindingFlags.GetProperty,
											null,
											pc.BaseObject,
											null);

					pc.Description = (string)pc.ObjectType.InvokeMember(Strings.DescriptionMethod,
											BindingFlags.Default | BindingFlags.GetProperty,
											null,
											pc.BaseObject,
											null);

					pc.Filename = (string)pc.ObjectType.InvokeMember(Strings.FilenameMethod,
											BindingFlags.Default | BindingFlags.GetProperty,
											null,
											pc.BaseObject,
											null);

					pc.Name = (string)pc.ObjectType.InvokeMember(Strings.NameMethod,
											BindingFlags.Default | BindingFlags.GetProperty,
											null,
											pc.BaseObject,
											null);

					pc.Version = (string)pc.ObjectType.InvokeMember(Strings.VersionMethod,
											BindingFlags.Default | BindingFlags.GetProperty,
											null,
											pc.BaseObject,
											null);
				}
			}
			return pc;
		}
		#endregion

		#region ConfigPluginsLoad
		/// <summary>
		/// Load and process the plugins configuration
		/// </summary>
		private void ConfigPluginsLoad()
		{
			string path = Directory.GetCurrentDirectory() + Strings.PluginConfigPath;

			if(Directory.Exists(path)) {
				DirectoryInfo di = new DirectoryInfo(path);
				FileInfo[] files = di.GetFiles("*.dll.config");
				if(files != null) {
					foreach(FileInfo file in files) {
		    	    	statusBar.Text = Strings.LoadingPlugins;

						try {
							XmlSerializer serializer = new XmlSerializer(typeof(PluginConfig));
							FileStream fs = new FileStream(file.FullName, FileMode.Open);

							try
							{
								PluginConfig pc = new PluginConfig();
								pc = (PluginConfig)serializer.Deserialize(fs);
								this.appconfig.Plugins.Add(pc);
							}
							catch(Exception ex)
							{
								throw new Exception("Empty configuration", ex);
							}
							finally
							{
								fs.Close();
							}
						}
						catch(Exception e) {
							MessageBox.Show(Strings.PluginsLoadFail + e.Message);
						}
					}
				}
				ResetToolsMenu();
			}
			else {
				Directory.CreateDirectory(Directory.GetCurrentDirectory() + Strings.PluginConfigPath);
			}
		}
		#endregion

		#region ResetToolsMenu
		private void ResetToolsMenu()
		{
			this.menuTools.MenuItems.Clear();

			if(this.appconfig.plugins.Count > 0) {
				foreach(PluginConfig pc in this.appconfig.plugins) {
					if(pc.MenuName != String.Empty) {
						System.Windows.Forms.MenuItem mi = new System.Windows.Forms.MenuItem();
						mi.Text = pc.MenuName;
						mi.Click += new System.EventHandler(this.HandleMenus);
						this.menuTools.MenuItems.Add(mi);
					}
				}
			}
			else {
				System.Windows.Forms.MenuItem mi = new System.Windows.Forms.MenuItem();
				mi.Text = "None";
				mi.Enabled = false;
				mi.Click += new System.EventHandler(this.HandleMenus);
				this.menuTools.MenuItems.Add(mi);
			}
		}
		#endregion

		#region Handle Radio buttons
		private void HandleRadio(object sender, System.EventArgs e)
		{
			if(sender == radioAuxNo) {
				this.textAuxComments.Enabled = false;
				this.textAuxComments.ReadOnly = true;
			}
			else if(sender == radioAuxYes) {
				this.textAuxComments.Enabled = true;
				this.textAuxComments.ReadOnly = false;
			}
			else if(sender == radioAlarmsYes) {
				this.textAlarmsComments.Enabled = true;
				this.textAlarmsComments.ReadOnly = false;
				this.checkAlarmsL1SES.Enabled = true;
				this.checkAlarmsL1DM.Enabled = true;
				this.checkAlarmsL1ES.Enabled = true;
				this.checkAlarmsL2.Enabled = true;
				this.checkAlarmsL3.Enabled = true;
				this.checkAlarmsOther.Enabled = true;
				this.checkAlarmsSInterface.Enabled = true;
				this.checkAlarmsUInterface.Enabled = true;

				this.checkAlarmsHardwareFault.Enabled = true;
				this.checkAlarmsPFO.Enabled = true;
				this.checkAlarmsLA.Enabled = true;
				this.checkAlarmsSync.Enabled = true;
				this.checkAlarmsHighBERIn.Enabled = true;
				this.checkAlarmsHighBEROut.Enabled = true;
				this.checkAlarmsLowBERIn.Enabled = true;
				this.checkAlarmsLowBEROut.Enabled = true;
				this.checkAlarmsS12Other.Enabled = true;
			}
			else if(sender == radioAlarmsNo) {
				this.textAlarmsComments.Enabled = false;
				this.textAlarmsComments.ReadOnly = true;
				this.checkAlarmsL1SES.Enabled = false;
				this.checkAlarmsL1DM.Enabled = false;
				this.checkAlarmsL1ES.Enabled = false;
				this.checkAlarmsL2.Enabled = false;
				this.checkAlarmsL3.Enabled = false;
				this.checkAlarmsOther.Enabled = false;
				this.checkAlarmsSInterface.Enabled = false;
				this.checkAlarmsUInterface.Enabled = false;

				this.checkAlarmsHardwareFault.Enabled = false;
				this.checkAlarmsPFO.Enabled = false;
				this.checkAlarmsLA.Enabled = false;
				this.checkAlarmsSync.Enabled = false;
				this.checkAlarmsHighBERIn.Enabled = false;
				this.checkAlarmsHighBEROut.Enabled = false;
				this.checkAlarmsLowBERIn.Enabled = false;
				this.checkAlarmsLowBEROut.Enabled = false;
				this.checkAlarmsS12Other.Enabled = false;

			}
			else if(sender == this.radioDevABL ||
					sender == this.radioDevBusy ||
					sender == this.radioDevCBL ||
					sender == this.radioDevIdle)
			{
				this.exchangeType = "AXE";
				ShowAlarms();
			}
			else if(sender == this.radioDevAVBusy ||
			        sender == this.radioDevAVFree ||
			        sender == this.radioDevExtBlk ||
			        sender == this.radioDevPowonl ||
			        sender == this.radioDevUnavail)
			{
				this.exchangeType = "S12";
				ShowAlarms();
			}
		}


		void RadioNonOtherCheckChanged(object sender, System.EventArgs e)
		{
			if(sender == this.radioNoComms)
			{
				this.comboBoxComms.Enabled = true;
			}
			else
			{
				this.comboBoxComms.Enabled = false;
			}
			this.textBoxOther.Enabled = false;
			this.textBoxOther.ReadOnly = true;
		}

		void RadioOtherCheckedChanged(object sender, System.EventArgs e)
		{
			this.comboBoxComms.Enabled = false;
			this.textBoxOther.Enabled = true;
			this.textBoxOther.ReadOnly = false;
		}
		#endregion

		#region Handle combo boxes
		/// <summary>Handle combo box input</summary>
		private void HandleComboBox(object sender, System.EventArgs e)
		{
			ComboBox comboBox = (ComboBox) sender;
			string selectedText = (string)comboBox.SelectedItem;
			
			if(sender == comboVerify) {
				if(selectedText.Equals(Strings.Okay)) 
				{
					this.textVerifyComment.Enabled = false;
					this.textVerifyComment.ReadOnly = true;
				}
				else 
				{
					this.textVerifyComment.Enabled = true;
					this.textVerifyComment.ReadOnly = false;
				}
			}
			else if(sender == comboPackage) {
				if(selectedText.Equals(Strings.Okay)) 
				{
					this.textPackageComment.Enabled = false;
					this.textPackageComment.ReadOnly = true;
				}
				else 
				{
					this.textPackageComment.Enabled = true;
					this.textPackageComment.ReadOnly = false;
				}		
			}
			else if(sender == comboOutage) {
				if(selectedText.Equals(Strings.No)) 
				{
					this.textOutageComment.Enabled = false;
					this.textOutageComment.ReadOnly = true;
				}
				else 
				{
					this.textOutageComment.Enabled = true;
					this.textOutageComment.ReadOnly = false;
				}		
			}
			else if(sender == comboAntoss) {
				if(selectedText.Equals(Strings.Okay)) 
				{
					this.textAntossComment.Enabled = false;
					this.textAntossComment.ReadOnly = true;
					this.comboBoxTel1.Enabled = false;
					this.comboBoxTel2.Enabled = false;
				}
				else 
				{
					this.textAntossComment.Enabled = true;
					this.textAntossComment.ReadOnly = false;
					this.comboBoxTel1.Enabled = true;
					this.comboBoxTel2.Enabled = true;
				}
			}
			else if(sender == comboPGSType) {
				if(selectedText.Equals(Strings.None)) 
				{
					this.textPGSComments.Enabled = false;
					this.textPGSComments.ReadOnly = true;
					this.comboPGSConfig.Enabled = false;
				}
				else 
				{
					this.comboPGSConfig.Items.Clear();

					if(selectedText.Equals(Strings.RIM)) 
					{
						this.comboPGSConfig.Items.AddRange(new object[] {
												Strings.RIMOkay,
												Strings.RIMNotOkay});
					}
					else if(selectedText.Equals(Strings.RIMBOOSTER)) 
					{
						this.comboPGSConfig.Items.AddRange(new object[] {
												Strings.RIMBoosterOkay,
												Strings.RIMBoosterNotOkay});
					}
					else if(selectedText.Equals(Strings.CMUX)) 
					{
						this.comboPGSConfig.Items.AddRange(new object[] {
												Strings.CMUXOkay,
												Strings.CMUXNotOkay});
					}
					else if(selectedText.Equals(Strings.CMUXRIM))
					{
						this.comboPGSConfig.Items.AddRange(new Object[] {
												Strings.CMUXRIMOkay,
												Strings.CMUXRIMNotOkay});
					}
					else if(selectedText.Equals(Strings.DCS20))
					{
						this.comboPGSConfig.Items.AddRange(new Object[] {
													Strings.NoAlarms,
													Strings.ActiveAlarms});
					}
					else if(selectedText.Equals(Strings.SCADS))
					{
						this.comboPGSConfig.Items.AddRange(new Object[] {
													Strings.NoAlarms,
													Strings.ActiveAlarms});
					}
					else if(selectedText.Equals(Strings.Booster))
					{
						this.comboPGSConfig.Items.AddRange(new Object[] {
													Strings.NoAlarms,
													Strings.ActiveAlarms});
					}
					else if(selectedText.Equals(Strings.CMUXRIMBOOSTER))
					{
						this.comboPGSConfig.Items.AddRange(new object[] {
													Strings.NoAlarms,
													Strings.ActiveAlarms});
					}
					else if(selectedText.Equals(Strings.PGSOther))
					{
						this.comboPGSConfig.Items.AddRange(new object[] {
													Strings.NoAlarms,
													Strings.ActiveAlarms});
					}

					this.textPGSComments.Enabled = true;
					this.textPGSComments.ReadOnly = false;
					this.comboPGSConfig.Enabled = true;
				}
			}
			else if(sender == comboQMS) {
				if(selectedText.Equals(Strings.NA) || selectedText.Equals(Strings.No)) 
				{
					this.textQMDays.Enabled = false;
					this.textQMDays.ReadOnly = true;
				}
				else 
				{
					this.textQMDays.Enabled = true;
					this.textQMDays.ReadOnly = false;
				}
			}
			else if(sender == comboTestCallVoice) {
				if(selectedText.Equals(Strings.NA)) 
				{
					this.textTestCallVoiceComment.Enabled = false;
					this.textTestCallVoiceComment.ReadOnly = true;
				}
				else 
				{
					this.textTestCallVoiceComment.Enabled = true;
					this.textTestCallVoiceComment.ReadOnly = false;
				}
			}
			else if(sender == comboTestCallData) {
				if(selectedText.Equals(Strings.NA)) 
				{
					this.textTestCallDataComment.Enabled = false;
					this.textTestCallDataComment.ReadOnly = true;
				}
				else 
				{
					this.textTestCallDataComment.Enabled = true;
					this.textTestCallDataComment.ReadOnly = false;
				}
			}
		}
		#endregion

		#region Reset All
		/// <summary>Reset all form controls to default settings.</summary>
		private void ResetAll()
		{
			statusBar.Text = Strings.Resetting;
			this.radioOrdersNo.Checked = false;
			this.radioOrdersYes.Checked = false;
			this.radioOther.Checked = false;
			this.radioFacility.Checked = false;
			this.radioDTP.Checked = false;
			this.radioNoOutgoing.Checked = false;
			this.radioStatic.Checked = false;
			this.radioNoComms.Checked = false;
			this.radioNoTrans.Checked = false;
			this.radioNoIncoming.Checked = false;
			this.radioDevPowonl.Checked = false;
			this.radioDevExtBlk.Checked = false;
			this.radioDevUnavail.Checked = false;
			this.radioDevAVBusy.Checked = false;
			this.radioDevAVFree.Checked = false;
			this.radioDevCBL.Checked = false;
			this.radioDevABL.Checked = false;
			this.radioDevBusy.Checked = false;
			this.radioDevIdle.Checked = false;
			this.radioAuxNo.Checked = false;
			this.radioAuxYes.Checked = false;
			this.comboBoxComms.Enabled = false;
			this.comboBoxComms.Text = "Both";
			
			this.textNumLines.Text = String.Empty;
			this.textCableDetails.Text = String.Empty;
			this.textDevHex.Text = String.Empty;
			this.textAuxComments.Text = String.Empty;
			this.textAuxComments.Enabled = false;
			this.textAuxComments.ReadOnly = true;
			this.textAlarmsComments.Text = String.Empty;
			this.textAlarmsComments.Enabled = false;
			this.textAlarmsComments.ReadOnly = true;

			this.textBoxL1Comment.Text = String.Empty;
			this.textBoxL2Comment.Text = String.Empty;
			this.textVerifyComment.Text = String.Empty;
			this.textPackageComment.Text = String.Empty;
			this.textOutageComment.Text = String.Empty;
			this.textAntossComment.Text = String.Empty;
			this.textPGSComments.Text = String.Empty;
			this.textQMDays.Text = String.Empty;
			this.textTestCallDataComment.Text = String.Empty;
			this.textTestCallVoiceComment.Text = String.Empty;
			this.textCustomerContactComments.Text = String.Empty;
			this.textBoxCats.Text = String.Empty;

			this.textVerifyComment.ReadOnly = true;
			this.textPackageComment.ReadOnly = true;
			this.textOutageComment.ReadOnly = true;
			this.textAntossComment.ReadOnly = true;
			this.textPGSComments.ReadOnly = true;
			this.textQMDays.ReadOnly = true;
			this.textTestCallDataComment.ReadOnly = true;
			this.textTestCallVoiceComment.ReadOnly = true;

			this.textVerifyComment.Enabled = false;
			this.textPackageComment.Enabled = false;
			this.textOutageComment.Enabled = false;
			this.textAntossComment.Enabled = false;
			this.textPGSComments.Enabled = false;
			this.textQMDays.Enabled = false;
			this.textTestCallDataComment.Enabled = false;
			this.textTestCallVoiceComment.Enabled = false;

			this.checkAlarmsOther.Checked = false;
			this.checkAlarmsL3.Checked = false;
			this.checkAlarmsL2.Checked = false;
			this.checkAlarmsUInterface.Checked = false;
			this.checkAlarmsSInterface.Checked = false;
			this.checkAlarmsL1DM.Checked = false;
			this.checkAlarmsL1ES.Checked = false;
			this.checkAlarmsL1SES.Checked = false;

			this.checkAlarmsOther.Enabled = false;
			this.checkAlarmsL3.Enabled = false;
			this.checkAlarmsL2.Enabled = false;
			this.checkAlarmsUInterface.Enabled = false;
			this.checkAlarmsSInterface.Enabled = false;
			this.checkAlarmsL1DM.Enabled = false;
			this.checkAlarmsL1ES.Enabled = false;
			this.checkAlarmsL1SES.Enabled = false;

			this.radioAlarmsNo.Checked = false;
			this.radioAlarmsYes.Checked = false;
			this.radioL1Demand.Checked = false;
			this.radioL1Perm.Checked = false;
			this.radioL2PMP.Checked = false;
			this.radioL2PTP.Checked = false;

			this.comboVerify.Text = Strings.PleaseChoose;
			this.comboPackage.Text = Strings.PleaseChoose;
			this.comboOutage.Text = Strings.PleaseChoose;
			this.comboAntoss.Text = Strings.PleaseChoose;
			this.comboBoxTel1.Enabled = false;
			this.comboBoxTel1.Text = Strings.Tel1;
			this.comboBoxTel2.Enabled = false;
			this.comboBoxTel2.Text = Strings.Tel2;
			this.comboPGSType.Text = Strings.PleaseChoose;
			this.comboPGSConfig.Text = Strings.PleaseChoose;
			this.comboQMS.Text = Strings.PleaseChoose;
			this.comboTestCallVoice.Text = Strings.PleaseChoose;
			this.comboTestCallData.Text = Strings.PleaseChoose;
			this.textBoxFieldNotes.Text = String.Empty;
			this.tabPages.SelectedIndex = 0;
			this.dtStart = System.DateTime.Now;
			this.textBoxOther.Enabled = false;
			this.textBoxOther.ReadOnly = true;
			this.textBoxOther.Text = String.Empty;

			this.exchangeType = "AXE";
			ShowAlarms();
			
			statusBar.Text = Strings.Ready;
		}
		#endregion

		#region Copy to clip testers
		/// <summary>Copy input data to clipboard for testers</summary>
		private void CopyToClipTester()
		{
			try {
				this.dtEnd = System.DateTime.Now;
				TimeSpan ts = this.dtEnd.Subtract(this.dtStart);
				StringBuilder sb = new StringBuilder();

				// gather information, build text output and copy to clipboard
				sb.Append("Name: " + ((this.appconfig.Username.Length > 0) ? this.appconfig.Username : Strings.NotConfigured) + "\n");
				sb.Append("Roll: " + ((this.appconfig.Roll.Length > 0) ? this.appconfig.Roll : Strings.NotConfigured) + "\n");
				sb.Append("Center: " + ((this.appconfig.Center.Length > 0) ? this.appconfig.Center : Strings.NotConfigured) + "\n");
				sb.Append(Strings.Sep);
//				sb.Append("Time on fault: " + ts.ToString() + "\n");
//				sb.Append(Strings.Sep);
				sb.Append("Number of lines: " + ((this.textNumLines.TextLength > 0) ? this.textNumLines.Text : Strings.NotSupplied) + "\n");
				sb.Append("Symtom: ");
				if(this.radioOther.Checked) {
					sb.Append("Other");
					if(textBoxOther.TextLength > 0)
					{
						sb.Append("\nComments: " + textBoxOther.Text + "\n");
					}
				}
				else if(this.radioFacility.Checked) {
					sb.Append("Facility");
				}
				else if(this.radioDTP.Checked) {
					sb.Append("Data Transmission Problem");
				}
				else if(this.radioNoOutgoing.Checked) {
					sb.Append("No Outgoing Calls");
				}
				else if(this.radioStatic.Checked) {
					sb.Append("Static, Noisy");
				}
				else if(this.radioNoComms.Checked) {
					sb.Append("No Comms on " + this.comboBoxComms.Text);
				}
				else if(this.radioNoTrans.Checked) {
					sb.Append("No Transmission");
				}
				else if(this.radioNoIncoming.Checked) {
					sb.Append("No Incoming Calls");
				}
				else {
					sb.Append(Strings.NotSupplied);
				}
				sb.Append("\n");
				sb.Append(Strings.Sep);
				sb.Append("Previous Relevant Orders: ");
				if(this.radioOrdersNo.Checked) {
					sb.Append("No");
				}
				else if(this.radioOrdersYes.Checked) {
					sb.Append("Yes");
				}
				else {
					sb.Append(Strings.NotSupplied);
				}
				sb.Append("\n");
				sb.Append(Strings.Sep);
				sb.Append("Cable Details: ");
				if(this.textCableDetails.TextLength > 0) {
					sb.Append(this.textCableDetails.Text);
				}
				else {
					sb.Append(Strings.NotSupplied);
				}
				sb.Append("\n");
				sb.Append(Strings.Sep);
				
				sb.Append("Auxillary Numbers: ");
				if(this.radioAuxNo.Checked) {
					sb.Append("No");
				}
				else if(this.radioAuxYes.Checked) {
					sb.Append("Yes");
					if(this.textAuxComments.TextLength > 0) {
						sb.Append("\nComments: ");
						sb.Append(this.textAuxComments.Text);
					}
				}
				else {
					sb.Append(Strings.NotSupplied);
				}
				sb.Append("\n");
				sb.Append(Strings.Sep);
				sb.Append("Device State: ");
				
				if(this.radioDevPowonl.Checked) {
					sb.Append("Powonl");
				}
				else if(this.radioDevExtBlk.Checked) {
					sb.Append("Extblk");
				}
				else if(this.radioDevUnavail.Checked) {
					sb.Append("Unavail");
				}
				else if(this.radioDevAVBusy.Checked) {
					sb.Append("AVBusy");
				}
				else if(this.radioDevAVFree.Checked) {
					sb.Append("AVFree");
				}
				else if(this.radioDevCBL.Checked) {
					sb.Append("CBL");
					sb.Append("\n");
					sb.Append("Hex State: ");
					if(this.textDevHex.TextLength > 0) {
						sb.Append(this.textDevHex.Text);
					}
					else {
						sb.Append(Strings.NotSupplied);
					}
				}
				else if(this.radioDevABL.Checked) {
					sb.Append("ABL");
					sb.Append("\n");
					sb.Append("Hex State: ");
					if(this.textDevHex.TextLength > 0) {
						sb.Append(this.textDevHex.Text);
					}
					else {
						sb.Append(Strings.NotSupplied);
					}
				}
				else if(this.radioDevBusy.Checked) {
					sb.Append("Busy");
					sb.Append("\n");
					sb.Append("Hex State: ");
					if(this.textDevHex.TextLength > 0) {
						sb.Append(this.textDevHex.Text);
					}
					else {
						sb.Append(Strings.NotSupplied);
					}
				}
				else if(this.radioDevIdle.Checked) {
					sb.Append("Idle");
					sb.Append("\n");
					sb.Append("Hex State: ");
					if(this.textDevHex.TextLength > 0) {
						sb.Append(this.textDevHex.Text);
					}
					else {
						sb.Append(Strings.NotSupplied);
					}
				}
				else {
					sb.Append(Strings.NotSupplied);
				}
				sb.Append("\n");
				sb.Append(Strings.Sep);
				
				sb.Append("Alarms: ");
				if(this.radioAlarmsYes.Checked) {
					sb.Append("Yes\n");
					
					sb.Append("Type:\n");

					if(this.exchangeType.Equals("AXE"))
					{
						if(this.checkAlarmsOther.Checked) {
							sb.Append("Other\n");
						}
						if(this.checkAlarmsL3.Checked) {
							sb.Append("L3\n");
						}
						if(this.checkAlarmsL2.Checked) {
							sb.Append("L2\n");
						}
						if(this.checkAlarmsUInterface.Checked) {
							sb.Append("U-Interface\n");
						}
						if(this.checkAlarmsSInterface.Checked) {
							sb.Append("S-Interface\n");
						}
						if(this.checkAlarmsL1DM.Checked) {
							sb.Append("L1 DM\n");
						}
						if(this.checkAlarmsL1ES.Checked) {
							sb.Append("L1 ES\n");
						}
						if(this.checkAlarmsL1SES.Checked) {
							sb.Append("L1 SES\n");
						}
					}
					else if(this.exchangeType.Equals("S12"))
					{
						if(checkAlarmsHardwareFault.Checked)
							sb.Append(Strings.CheckAlarmsHardwareFault+"\n");
						if(checkAlarmsPFO.Checked)
							sb.Append(Strings.CheckAlarmsPFO+"\n");
						if(checkAlarmsLA.Checked)
							sb.Append(Strings.CheckAlarmsLA+"\n");
						if(checkAlarmsSync.Checked)
							sb.Append(Strings.CheckAlarmsL1Sync+"\n");
						if(checkAlarmsHighBERIn.Checked)
							sb.Append(Strings.CheckAlarmsL1HighBERIn+"\n");
						if(checkAlarmsHighBEROut.Checked)
							sb.Append(Strings.CheckAlarmsL1HighBEROut+"\n");
						if(checkAlarmsLowBERIn.Checked)
							sb.Append(Strings.CheckAlarmsL1LowBERIn+"\n");
						if(checkAlarmsLowBEROut.Checked)
							sb.Append(Strings.CheckAlarmsL1HighBEROut+"\n");
						if(checkAlarmsS12Other.Checked)
							sb.Append("Other\n");
					}
					if(this.textAlarmsComments.Enabled) {
						if(this.textAlarmsComments.TextLength > 0) {
							sb.Append("Comments: ");
							sb.Append(this.textAlarmsComments.Text);
						}
					}
				}
				else if(this.radioAlarmsNo.Checked) {
					sb.Append("None");
				}
				else {
					sb.Append(Strings.NotSupplied);
				}
				sb.Append("\n");
				sb.Append(Strings.Sep);

				if(this.textBoxCats.TextLength > 0) {
					sb.Append("Categories: " + this.textBoxCats.Text);
					sb.Append("\n");
					sb.Append(Strings.Sep);
				}

				sb.Append("Layer 1 Settings: ");
				if(this.radioL1Demand.Checked) {
					sb.Append("Demand");
				}
				else if(this.radioL1Perm.Checked) {
					sb.Append("Permanent");
				}
				else {
					sb.Append(Strings.NotSupplied);
				}

				if(this.textBoxL1Comment.TextLength > 0) {
					sb.Append("\nComment: " + this.textBoxL1Comment.Text);
				}
				sb.Append("\n");
				sb.Append(Strings.Sep);
				
				sb.Append("Layer 2 Settings: ");
				if(this.radioL2PMP.Checked) {
					sb.Append("Point to Multipoint");
				}
				else if(this.radioL2PTP.Checked) {
					sb.Append("Point to Point");
				}
				else {
					sb.Append(Strings.NotSupplied);
				}

				if(this.textBoxL2Comment.TextLength > 0) {
					sb.Append("\nComment: " + this.textBoxL2Comment.Text);
				}
				sb.Append("\n");
				sb.Append(Strings.Sep);
				
				sb.Append("Verify: ");
				if(this.comboVerify.Text != Strings.PleaseChoose) {
					sb.Append(this.comboVerify.Text);
					if(this.textVerifyComment.TextLength > 0) {
						sb.Append("\nVerify Comments: ");
						sb.Append(this.textVerifyComment.Text);
					}
				}
				else {
					sb.Append(Strings.NotSupplied);
				}
				sb.Append("\n");
				
				sb.Append("Package: ");
				if(this.comboPackage.Text != Strings.PleaseChoose) {
					sb.Append(this.comboPackage.Text);
					if(this.textPackageComment.TextLength > 0) {
						sb.Append("\nPackage Comments: ");
						sb.Append(this.textPackageComment.Text);
					}
				}
				else {
					sb.Append(Strings.NotSupplied);
				}
				sb.Append("\n");
				
				sb.Append("Outage: ");
				if(this.comboOutage.Text != Strings.PleaseChoose) {
					sb.Append(this.comboOutage.Text);
					if(this.textOutageComment.TextLength > 0) {
						sb.Append("\nOutage Comments: ");
						sb.Append(this.textOutageComment.Text);
					}
				}
				else {
					sb.Append(Strings.NotSupplied);
				}
				sb.Append("\n");
				
				sb.Append("Antoss: ");
				if(this.comboAntoss.Text != Strings.PleaseChoose) {
					sb.Append(this.comboAntoss.Text);
					if(this.textAntossComment.TextLength > 0) {
						sb.Append("\nAntoss Comments: ");
						sb.Append(this.textAntossComment.Text);
					}
					if(!this.comboBoxTel1.Text.Equals(Strings.Tel1))
					{
						sb.Append("\n" + Strings.Tel1 + ": " + this.comboBoxTel1.Text);
					}
					if(!this.comboBoxTel2.Text.Equals(Strings.Tel2))
					{
						sb.Append("\n" + Strings.Tel2 + ": " + this.comboBoxTel2.Text);
					}
				}
				else {
					sb.Append(Strings.NotSupplied);
				}
				sb.Append("\n");
				sb.Append(Strings.Sep);
				
				sb.Append("Pair Gain System: ");
				if(this.comboPGSType.Text != Strings.PleaseChoose) {
					if(this.comboPGSType.Text == "None") {
						sb.Append(this.comboPGSType.Text);
					}
					else {
						sb.Append(this.comboPGSType.Text);
						if(this.comboPGSConfig.Text != Strings.PleaseChoose) {
							sb.Append("\nConfiguration: ");
							sb.Append(this.comboPGSConfig.Text);
						}
						else {
							sb.Append(Strings.NotSupplied);
						}
						sb.Append("\n");
					
						if(this.textPGSComments.TextLength > 0) {
							sb.Append("Comments: ");
							sb.Append(this.textPGSComments.Text);
						}
						else {
							sb.Append(Strings.NotSupplied);
						}
					}
				}
				else {
					sb.Append(Strings.NotSupplied);
				}
				sb.Append("\n");
				sb.Append(Strings.Sep);
				
				sb.Append("QM's Set: ");
				if(this.comboQMS.Text != Strings.PleaseChoose) {
					if(this.comboQMS.Text == "Yes") {
						sb.Append(this.comboQMS.Text);
						sb.Append("\nDays: ");
						if(this.textQMDays.TextLength > 0) {
							sb.Append(this.textQMDays.Text);
						}
						else {
							sb.Append(Strings.NotSupplied);
						}
					}
					else {
						sb.Append(Strings.NA);
					}
				}
				else {
					sb.Append(Strings.NotSupplied);
				}
				sb.Append("\n");
				sb.Append(Strings.Sep);
				
				sb.Append("Voice Test Call Results: ");
				if(this.comboTestCallVoice.Text != Strings.PleaseChoose) {
					sb.Append(this.comboTestCallVoice.Text);
					if(this.textTestCallVoiceComment.TextLength > 0) {
						sb.Append("\nComments: ");
						sb.Append(this.textTestCallVoiceComment.Text);
					}
				}
				else {
					sb.Append(Strings.NA);
				}
				sb.Append("\n");
				sb.Append(Strings.Sep);
				
				sb.Append("Data Test Call Results: ");
				if(this.comboTestCallData.Text != Strings.PleaseChoose) {
					sb.Append(this.comboTestCallData.Text);
					if(this.textTestCallDataComment.TextLength > 0) {
						sb.Append("\nComments: ");
						sb.Append(this.textTestCallDataComment.Text);
					}
				}
				else {
					sb.Append(Strings.NA);
				}
				sb.Append("\n");
				sb.Append(Strings.Sep);

				if(this.textCustomerContactComments.Text.Length > 0)
				{
					sb.Append("Tester notes: ");
					sb.Append(this.textCustomerContactComments.Text);
					sb.Append("\n");
					sb.Append(Strings.Sep);
				}

				System.Windows.Forms.Clipboard.SetDataObject(sb.ToString());
				statusBar.Text = Strings.DataToClip;

				if(this.appconfig.plugins.Count > 0) {
					foreach(PluginConfig pc in this.appconfig.plugins) {
						try {
							pc.ObjectType.InvokeMember(Strings.CopyTesterMethod,
											BindingFlags.Default | BindingFlags.InvokeMethod,
											null,
											pc.BaseObject,
											new Object[] {sb.ToString()});
						}
						catch(Exception ex) {
							Console.WriteLine(ex.ToString());
							break;
						}
					}
				}
			}
			catch(Exception ex) {
				MessageBox.Show(Strings.ExceptionFrom + ex.InnerException.ToString() + ": " + ex.Message);
			}
		}
		#endregion

		#region Copy to clip field
		/// <summary>Copy data to the clipboard for field staff</summary>
		private void CopyToClipField()
		{
			try {
				StringBuilder sb = new StringBuilder();

				if(textCableDetails.Text.Length > 0) {
					sb.Append(textCableDetails.Text);
					sb.Append("\n");
					sb.Append(Strings.Sep);
				}

				sb.Append("Layer 1 Settings: ");
				if(this.radioL1Demand.Checked) {
					sb.Append("Demand");
				}
				else if(this.radioL1Perm.Checked) {
					sb.Append("Permanent");
				}
				else {
					sb.Append(Strings.NotSupplied);
				}

				if(this.textBoxL1Comment.TextLength > 0) {
					sb.Append("\nComment: " + this.textBoxL1Comment.Text);
				}
				sb.Append("\n");
				sb.Append(Strings.Sep);
				
				sb.Append("Layer 2 Settings: ");
				if(this.radioL2PMP.Checked) {
					sb.Append("Point to Multipoint");
				}
				else if(this.radioL2PTP.Checked) {
					sb.Append("Point to Point");
				}
				else {
					sb.Append(Strings.NotSupplied);
				}

				if(this.textBoxL2Comment.TextLength > 0) {
					sb.Append("\nComment: " + this.textBoxL2Comment.Text);
				}

				sb.Append("\n");
				sb.Append(Strings.Sep);

				sb.Append(textBoxFieldNotes.Text);
				sb.Append("\n");
				sb.Append(Strings.Sep);

				System.Windows.Forms.Clipboard.SetDataObject(sb.ToString());
				statusBar.Text = Strings.DataToClip;

				if(this.appconfig.plugins.Count > 0) {
					foreach(PluginConfig pc in this.appconfig.plugins) {
						try {
							pc.ObjectType.InvokeMember(Strings.CopyFieldMethod,
											BindingFlags.Default | BindingFlags.InvokeMethod,
											null,
											pc.BaseObject,
											new Object[] {sb.ToString()});
						}
						catch(Exception ex) {
							Console.WriteLine(ex.ToString());
							break;
						}
					}
				}
			}
			catch(Exception ex) {
				MessageBox.Show(Strings.ExceptionFrom + ex.InnerException.ToString() + ":" + ex.Message);
			}
		}
		#endregion

		#region Handle Menus
		/// <summary>Handle menu input</summary>
		private void HandleMenus(object sender, System.EventArgs e)
		{
			if(sender == menuItemNew) {
				ResetAll();
			}
			else if(sender == menuItemCopyField) {
				CopyToClipField();
			}
			else if(sender == menuItemCopyTester) {
				CopyToClipTester();
			}
			else if(sender == menuItemConfigure) {
				Configure();
			}
			else if(sender == menuItemMacros) {
				MacroForm mf = new MacroForm();
				mf.ShowDialog();
				if(mf.DialogResult == DialogResult.OK)
				{
					this.macroConfig.LoadConfig();
				}
			}
			else if(sender == menuItemExit) {
				this.Dispose();
			}
			else if(sender == menuItemHelp) {
				MessageBox.Show(Strings.NotImplemented);
			}
			else if(sender == menuItemUpdates) {
				UpdateCheck();
			}
			else if(sender == menuItemAbout) {
				string strDelim = ".";
				char[] delimiter = strDelim.ToCharArray();
				string[] split = null;
				string vers = Application.ProductVersion;
				split = vers.Split(delimiter);			
				MessageBox.Show("EvoTemplate v" + split[0] + "." + split[1] + Strings.Copyright);
			}
			else {
				// catch dynamic plugin menuitems
				if(this.appconfig.plugins.Count > 0) {
					foreach(PluginConfig pc in this.appconfig.plugins) {
						try {
							if(pc.MenuName == ((MenuItem)sender).Text) {
								pc.ObjectType.InvokeMember(Strings.ExecuteMethod,
												BindingFlags.Default | BindingFlags.InvokeMethod,
												null,
												pc.BaseObject,
												null);
								break;
							}
						}
						catch(Exception ex) {
							Console.WriteLine(ex.ToString());
							break;
						}
					}
				}
			}
		}
		#endregion

		#region Configure
		/// <summary>Allow the user to configure this application</summary>
		private void Configure()
		{
			ConfigForm cfgDlg = new ConfigForm();
			cfgDlg.Config = this.appconfig;

			try {
				cfgDlg.ShowDialog(this);
				if(cfgDlg.DialogResult == DialogResult.OK) 
				{
					this.appconfig = cfgDlg.Config;

					InitTips();

					this.tabPages.Hide();
					this.tabPages.Alignment = this.appconfig.Tabs;
					this.tabPages.Show();
					return;
				}
				else if(cfgDlg.DialogResult == DialogResult.Cancel) {
					cfgDlg.Dispose();
					return;
				}
			}
			catch{}
		}
		#endregion

		#region UpdateCheck
		/// <summary>
		/// Perform a check for application updates
		/// </summary>
		private void UpdateCheck()
		{
			UpdateDetect update = new UpdateDetect(this.appconfig.UpdateServer == "" ? Strings.UpdateServer : this.appconfig.UpdateServer);
			string strDelim = ".";
			char[] delimiter = strDelim.ToCharArray();
			string[] split = null;
			string vers = Application.ProductVersion;

			statusBar.Text = Strings.CheckUpdates;
			dtStart = DateTime.Now;
			dtEnd = DateTime.Now;
			split = vers.Split(delimiter);			
			if(update.Check()) {
				if((update.Version > Convert.ToInt32(split[0])) ||
				   (update.Revision > Convert.ToInt32(split[1]))) {
					statusBar.Text = Strings.UpdateAvailable + update.VersionString;
				}
				else {
					statusBar.Text = Strings.NoUpdates;
				}
			}
			else {
				statusBar.Text = Strings.UpdatesFail + update.Error;
			}
		}
		#endregion
		
		#region ToolBarButtonClick
		/// <summary>Handler for toolbar button clicks</summary>
		void ToolBarButtonClick(object sender, System.Windows.Forms.ToolBarButtonClickEventArgs e)
		{
			switch (toolBar.Buttons.IndexOf(e.Button)) {
				case 0: // new button
					ResetAll();
					break;
				case 1: // copy for testing button
					CopyToClipTester();
					break;
				case 2: // copy for field button
					CopyToClipField();
					break;
			}
		}
		#endregion

		#region Validate Input
		/// <summary>
		/// Validates input for textbox objects allowing ASCII characters only
		/// </summary>
		/// <param name="sender">sending object</param>
		/// <param name="e">Event arguments</param>
		void validate_input(object sender, System.ComponentModel.CancelEventArgs e)
		{
			string str = ((TextBox)sender).Text;
			int len = str.Length;
			
			for(int i = 0; i < len; i++) {
				if(Convert.ToChar(str[i]) > 128) {
					((TextBox)sender).BackColor = System.Drawing.Color.Tan;
					statusBar.Text = Strings.InvalidChar;
					e.Cancel = true;
					return;
				}
			}
			((TextBox)sender).BackColor = System.Drawing.Color.White;
			statusBar.Text = Strings.Ready;
			e.Cancel = false;
		}
		#endregion		

		#region KeyUp Macro
		void MacroCheck_KeyUp(object sender, System.Windows.Forms.KeyEventArgs e)
		{
			if(e.Modifiers == Keys.Alt)
			{
				foreach(Macro mc in this.macroConfig.Macros)
				{
					if(mc.Modifier == 2) // Alt
					{
						if(e.KeyCode.ToString().Equals(mc.KeyString))
						{
							((TextBox)sender).Text += mc.MacroString;
						}
					}
				}
			}
			else if(e.Modifiers == Keys.Control)
			{
				foreach(Macro mc in this.macroConfig.Macros)
				{
					if(mc.Modifier == 1) // Ctrl
					{
						if(e.KeyCode.ToString().Equals(mc.KeyString))
						{
							((TextBox)sender).Text += mc.MacroString;
						}
					}
				}
			}
			else
			{
				foreach(Macro mc in this.macroConfig.Macros)
				{
					if(mc.Modifier == 0) // None
					{
						if(e.KeyCode.ToString().Equals(mc.KeyString))
						{
							((TextBox)sender).Text += mc.MacroString;
						}
					}
				}
			}
		}
		#endregion

		#region Show Alarms
		private void ShowAlarms()
		{
			this.radioAlarmsYes.Checked = false;
			this.radioAlarmsNo.Checked = false;

			if(this.exchangeType.Equals("AXE"))
			{
				checkAlarmsOther.Visible = true;
				checkAlarmsL3.Visible = true;
				checkAlarmsL2.Visible = true;
				checkAlarmsUInterface.Visible = true;
				checkAlarmsSInterface.Visible = true;
				checkAlarmsL1DM.Visible = true;
				checkAlarmsL1ES.Visible = true;
				checkAlarmsL1SES.Visible = true;

				checkAlarmsOther.Enabled = false;
				checkAlarmsL3.Enabled = false;
				checkAlarmsL2.Enabled = false;
				checkAlarmsUInterface.Enabled = false;
				checkAlarmsSInterface.Enabled = false;
				checkAlarmsL1DM.Enabled = false;
				checkAlarmsL1ES.Enabled = false;
				checkAlarmsL1SES.Enabled = false;

				// reset S12
				checkAlarmsHardwareFault.Visible = false;
				checkAlarmsPFO.Visible = false;
				checkAlarmsLA.Visible = false;
				checkAlarmsSync.Visible = false;
				checkAlarmsHighBERIn.Visible = false;
				checkAlarmsHighBEROut.Visible = false;
				checkAlarmsLowBERIn.Visible = false;
				checkAlarmsLowBEROut.Visible = false;
				checkAlarmsS12Other.Visible = false;

				checkAlarmsHardwareFault.Checked = false;
				checkAlarmsPFO.Checked = false;
				checkAlarmsLA.Checked = false;
				checkAlarmsSync.Checked = false;
				checkAlarmsHighBERIn.Checked = false;
				checkAlarmsHighBEROut.Checked = false;
				checkAlarmsLowBERIn.Checked = false;
				checkAlarmsLowBEROut.Checked = false;
				checkAlarmsS12Other.Checked = false;

				checkAlarmsHardwareFault.Enabled = false;
				checkAlarmsPFO.Enabled = false;
				checkAlarmsLA.Enabled = false;
				checkAlarmsSync.Enabled = false;
				checkAlarmsHighBERIn.Enabled = false;
				checkAlarmsHighBEROut.Enabled = false;
				checkAlarmsLowBERIn.Enabled = false;
				checkAlarmsLowBEROut.Enabled = false;
				checkAlarmsS12Other.Enabled = false;
			}
			else // S12 alarms
			{
				checkAlarmsOther.Visible = false;
				checkAlarmsL3.Visible = false;
				checkAlarmsL2.Visible = false;
				checkAlarmsUInterface.Visible = false;
				checkAlarmsSInterface.Visible = false;
				checkAlarmsL1DM.Visible = false;
				checkAlarmsL1ES.Visible = false;
				checkAlarmsL1SES.Visible = false;

				// Set S12
				checkAlarmsHardwareFault.Visible = true;
				checkAlarmsPFO.Visible = true;
				checkAlarmsLA.Visible = true;
				checkAlarmsSync.Visible = true;
				checkAlarmsHighBERIn.Visible = true;
				checkAlarmsHighBEROut.Visible = true;
				checkAlarmsLowBERIn.Visible = true;
				checkAlarmsLowBEROut.Visible = true;
				checkAlarmsS12Other.Visible = true;

				checkAlarmsHardwareFault.Checked = false;
				checkAlarmsPFO.Checked = false;
				checkAlarmsLA.Checked = false;
				checkAlarmsSync.Checked = false;
				checkAlarmsHighBERIn.Checked = false;
				checkAlarmsHighBEROut.Checked = false;
				checkAlarmsLowBERIn.Checked = false;
				checkAlarmsLowBEROut.Checked = false;
				checkAlarmsS12Other.Checked = false;

				checkAlarmsHardwareFault.Enabled = false;
				checkAlarmsPFO.Enabled = false;
				checkAlarmsLA.Enabled = false;
				checkAlarmsSync.Enabled = false;
				checkAlarmsHighBERIn.Enabled = false;
				checkAlarmsHighBEROut.Enabled = false;
				checkAlarmsLowBERIn.Enabled = false;
				checkAlarmsLowBEROut.Enabled = false;
				checkAlarmsS12Other.Enabled = false;
			}
		}
		#endregion
	}
	#endregion
}
