/*
Copyright (c) 2004,2005, Deryk Robosson <deryk@0x0a.com>
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
    * Neither the name of the Deryk Robosson nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

using System;

namespace EvoTemplate
{
	/// <summary>
	/// Class exposing string constants used throughout the application
	/// </summary>
	public class Strings
	{
		// Tooltip strings
		public const string RadioOrdersNo = "No assocated orders";
		public const string RadioOrdersYes = "There are associated orders";
		public const string RadioOther = "Other or uncatagorized fault type";
		public const string RadioFacility = "Facility type fault";
		public const string RadioDTP = "Data Transmission Problem type fault";
		public const string RadioNoOutgoing = "Outgoing problem type fault";
		public const string RadioStatic = "Cut off speaking = noise = or static type fault";
		public const string RadioNoComms = "No tone type fault";
		public const string RadioNoTrans = "No transmission type fault";
		public const string RadioNoIncoming = "No incoming calls type fault";
		public const string ComboComms = "Ports affected";

		public const string RadioDevPowonl = "The device has power on line";
		public const string RadioDevExtBlk = "The device is externally blocked";
		public const string RadioDevUnavail = "The device is unavailable";
		public const string RadioDevAVBusy = "The device is available busy";
		public const string RadioDevAVFree = "The device is available free";
		public const string RadioDevCBL = "The device is control blocked";
		public const string RadioDevABL = "The device is automatically blocked";
		public const string RadioDevBusy = "The device is busy";
		public const string RadioDevIdle = "The device is idle";
		public const string RadioAuxNo = "There are no auxillary numbers";
		public const string RadioAuxYes = "There are auxillary numbers";

		public const string TextNumLines = "Number of lines with this services";
		public const string TextCableDetails = "Plant details for this service";
		public const string TextDevHex = "Exchange device hex state";
		public const string TextAuxComments = "Comments on = or about the auxillary numbers";
		public const string TextAlarmsComments = "Comments related to the active or related alarms";
		public const string TextBoxL1Comment = "Comments regarding the Layer 1 settings";
		public const string TextBoxL2Comment = "Comments regarding the Layer 2 settings";
		public const string TextVerifyComment = "Comments about the Verify outcome";
		public const string TextPackageComment = "Comments about the Package outcome";
		public const string TextOutageComment = "Comments about any outages";
		public const string TextAntossComment = "Comments about Antoss configurations";
		public const string TextPGSComments = "Comments related to the pairgain system(s)";
		public const string TextQMDays = "Number of days QM is enabled";
		public const string TextTestCallDataComment = "Comments related to data test call";
		public const string TextTestCallVoiceComment = "Comments related to voice test call";
		public const string TextBoxCats = "Switch programming comments";

		public const string CheckAlarmsOther = "Other non-standard alarms";
		public const string CheckAlarmsL3 = "Layer 3 alarms";
		public const string CheckAlarmsL2 = "Layer 2 alarms";
		public const string CheckAlarmsUInterface = "U Interface alarms";
		public const string CheckAlarmsSInterface = "S Interface alarms";
		public const string CheckAlarmsL1DM = "Layer 1 Degraded Minutes";
		public const string CheckAlarmsL1ES = "Layer 1 Error Seconds";
		public const string CheckAlarmsL1SES = "Layer 1 Severely Errored Seconds";

		public const string CheckAlarmsHardwareFault ="Hardware Fault Interface Circuit";
		public const string CheckAlarmsPFO ="Powerfeed Overcurrent Detected";
		public const string CheckAlarmsLA ="L1 Activation Failure";
		public const string CheckAlarmsL1Sync ="L1 Loss of Synchronisation";
		public const string CheckAlarmsL1HighBERIn ="L1 High BER Incoming";
		public const string CheckAlarmsL1HighBEROut ="L1 High BER Outgoing";
		public const string CheckAlarmsL1LowBERIn ="L1 Low BER Incoming";
		public const string CheckAlarmsL1LowBEROut ="L1 Low BER Outgoing";
	
		public const string RadioAlarmsNo = "Alarms are not present or related";
		public const string RadioAlarmsYes = "Alarms are preset or related";
		public const string RadioL1Demand = "Layer 1 demand activation";
		public const string RadioL1Perm = "Layer 1 permanent activation";
		public const string RadioL2PMP = "Layer 2 point to multi-point";
		public const string RadioL2PTP = "Layer 2 point to point";

		public const string ComboVerify = "Verify test results";
		public const string ComboPackage = "Package test results";
		public const string ComboOutage = "Outage check results";
		public const string ComboAntoss = "Antoss data results";
		public const string ComboPGSType = "Type of pairgain system";
		public const string ComboPGSConfig = "Configuration results of pairgain system";
		public const string ComboQMS = "QM enabled or not";
		public const string ComboTestCallVoice = "Results of a test voice call";
		public const string ComboTestCallData = "Results of a test data call";
		public const string TextBoxFieldNotes = "Notes that will be appended to the cable details";
		public const string TextBoxOther = "Description of Other symptom";

		// method name strings
		public const string ExecuteMethod = "Execute";
		public const string ConfigMethod = "Configurable";
		public const string DescriptionMethod = "Description";
		public const string FilenameMethod = "Filename";
		public const string NameMethod = "Name";
		public const string VersionMethod = "Version";
		public const string CopyTesterMethod = "CopyTester";
		public const string CopyFieldMethod = "CopyField";

		// status bar strings
		public const string LoadingPlugins = "Loading plugins configuration...";
		public const string ConfigLoading = "Loading configuration...";
		public const string ConfigMissing = "Configuration missing...";
		public const string ConfigGenError = "Error generating configuaration: ";
		public const string ConfigError = "Configuration error:\n";
		public const string Resetting = "Resetting...";
		public const string ConfigNotComplete = "Configuration must be completed.";
		public const string UpdateAvailable = "There is an update available.\nVersion: ";
		public const string NoUpdates = "No updates available.";
		public const string CheckUpdates = "Checking for updates...";

		// configuration strings
		public const string PluginPath = "/plugins/";
		public const string PluginConfigPath = "/pluginsconfig/";
		public const string IPlugin = "EvoTemplate.IPlugin";
		public const string Top = "Top";
		public const string Bottom = "Bottom";
		public const string Left = "Left";
		public const string Right = "Right";
		public const string True = "True";
		public const string Okay = "Okay";
		public const string No = "No";

		// template and combo box strings
		public const string None = "None";
		public const string NA = "N/A";
		public const string RIM = "RIM";
		public const string RIMBOOSTER = "RIM+BOOSTER";
		public const string CMUX = "CMUX";
		public const string CMUXBOOSTER = "CMUX+BOOSTER";
		public const string CMUXRIM = "CMUX+RIM";
		public const string CMUXRIMBOOSTER = "CMUX+RIM+BOOSTER";
		public const string DCS20 = "DCS-20";
		public const string SCADS = "SCADS";
		public const string Booster = "BOOSTER";
		public const string PGSOther = "Other";

		public const string PleaseChoose = "Please Choose";
		public const string Ready = "Ready.";
		public const string NotConfigured = "Not Configured";
		public const string NotSupplied = "Not Supplied";
		public const string NoAlarms = "No Alarms";
		public const string ActiveAlarms = "Active Alarms";
		public const string RIMOkay = "EU + RU config okay";
		public const string RIMNotOkay = "EU + RU config not okay";
		public const string CMUXOkay = "CMUX + Exchange data aligned";
		public const string CMUXNotOkay = "CMUX + Exchange data not aligned";
		public const string CMUXRIMOkay = "CMUX + RIM + Exchange data aligned";
		public const string CMUXRIMNotOkay = "CMUX + RIM + Exchange data not aligned";
		public const string RIMBoosterOkay = "RIM+Booster Okay";
		public const string RIMBoosterNotOkay = "RIM+Booster Not Okay";
		public const string Tel1 = "Tel1";
		public const string Tel2 = "Tel2";

		// misc strings, messagebox, about, etc
		public const string ExceptionFrom = "Exception from ";
		public const string NotImplemented = "Not yet implemented";
		public const string UpdatesFail = "Update check failed.\nError: ";
		public const string ImageLoadFail = "Failed to load toolbar images: ";
		public const string PluginsLoadFail = "Failed to load a plugin: ";
		public const string InvalidChar = "Invalid character found in input.";
		public const string Copyright = "\n\nCopyright 2004,2005 Deryk Robosson <deryk@0x0a.com>\n\nCreation of this 6 step program brought to you by Dr Pepper.";
		public const string DataToClip = "Data copied to clipboard.";
		public const string Sep = "----------------------------------------\n";

		// default update server
		public const string UpdateServer = "";
		public Strings()
		{
		}
	}
}
