// test harness for EvoTemplate plugins
using System;
using System.Reflection;
using System.Windows.Forms;

namespace EvoTemplate {
	public interface IPlugin
	{
		string Name {
			get;
		}
		string Version {
			get;
		}
		string Filename {
			get;
		}
		string Description {
			get;
		}
		bool Configurable {
			get;
		}
		string MenuName {
			get;
		}
		void Execute();
		void Configure();
		void CopyTester(object data);
		void CopyField(object data);
	}

	class DynamicInvocation {

		public static void invokeProcess (string assemblyName) {
			Console.WriteLine ("Loading {0} into memory...", assemblyName);
			Assembly assembly = Assembly.LoadFrom (assemblyName);
  
			// Walk through each type in the assembly
			foreach (Type type in assembly.GetTypes ()) {
				// Pick up a class
				if (type.IsClass == true) {
					Console.WriteLine ("...Found Class : {0}", type.FullName);

					// If it does not implement the IBase Interface, skip it
					if (type.GetInterface ("EvoTemplate.IPlugin") == null) {
						continue;
					}
    
					// If however, it does implement the IBase Interface,
					// create an instance of the object
					object ibaseObject = Activator.CreateInstance (type);
    
					// Create the parameter list
					object[] arguments = new object [] {10, 17.11};
//					object result;
					// Dynamically Invoke the Object
					Console.WriteLine ("......Dynamically Invoking Execute() on {0} Class", type.FullName);
//     result = 
					type.InvokeMember ("Execute",
                                 BindingFlags.Default | BindingFlags.InvokeMethod,
                                 null,
                                 ibaseObject,
                                 new Object[] {});
//                                 arguments);

//					Console.WriteLine ("......Result is: {0}", result);    
				}
			}
		}

		public static void Main (string[] args) {
			foreach (string argument in args) {
				invokeProcess (argument);
			}
		}
	}
}
